

CREATE TABLE IF NOT EXISTS `admin` (
  `id` int(11) NOT NULL auto_increment,
  `right` smallint(1) NOT NULL default '0',
  `username` varchar(255) default NULL,
  `password` varchar(40) default NULL,
  `password1` varchar(40) NOT NULL default '',
  `email` varchar(255) NOT NULL default '',
  `noemail` tinyint(1) NOT NULL default '0',
  `name` varchar(255) NOT NULL default '',
  `phone` varchar(255) NOT NULL default '',
  `fax` varchar(255) NOT NULL default '',
  `address` varchar(255) NOT NULL default '',
  `country` varchar(255) NOT NULL default '',
  `state` varchar(255) NOT NULL default '',
  `city` varchar(255) NOT NULL default '',
  `zip` varchar(255) NOT NULL default '',
  `logo` varchar(40) NOT NULL default '',
  `description` text NOT NULL,
  `nolisting` int(11) NOT NULL default '0',
  `nopictures` int(11) NOT NULL default '0',
  `adprofiles` int(11) NOT NULL default '0',
  `unic_id` varchar(32) NOT NULL default '',
  `active` tinyint(1) NOT NULL default '0',
  `delay` int(5) NOT NULL default '99999',
  `date_delay` date NOT NULL default '2007-02-01',
  `emailrenewsent` smallint(1) NOT NULL default '0',
  `daystoexpire` int(5) NOT NULL default '0',
  `daysactive` int(5) NOT NULL default '0',
  PRIMARY KEY  (`id`),
  UNIQUE KEY `id` (`id`),
  KEY `right` (`right`),
  KEY `right_2` (`right`),
  KEY `adprofiles` (`adprofiles`)
) ENGINE=MyISAM  DEFAULT CHARSET=latin1;





--
-- Table structure for table `adprofiles`
--

CREATE TABLE IF NOT EXISTS `adprofiles` (
  `id` int(11) NOT NULL auto_increment,
  `name` varchar(255) NOT NULL default '',
  `name1` varchar(255) NOT NULL default '',
  `name2` varchar(255) NOT NULL default '',
  `name3` varchar(255) NOT NULL default '',
  `description` text NOT NULL,
  `description1` text NOT NULL,
  `description2` text NOT NULL,
  `description3` text NOT NULL,
  `titleok` varchar(255) NOT NULL default '',
  `titleok1` varchar(255) NOT NULL default '',
  `titleok2` varchar(255) NOT NULL default '',
  `titleok3` varchar(255) NOT NULL default '',
  `textok` text NOT NULL,
  `textok1` text NOT NULL,
  `textok2` text NOT NULL,
  `textok3` text NOT NULL,
  `titlenotok` varchar(255) NOT NULL default '',
  `titlenotok1` varchar(255) NOT NULL default '',
  `titlenotok2` varchar(255) NOT NULL default '',
  `titlenotok3` varchar(255) NOT NULL default '',
  `textnotok` text NOT NULL,
  `textnotok1` text NOT NULL,
  `textnotok2` text NOT NULL,
  `textnotok3` text NOT NULL,
  `recurring` tinyint(1) NOT NULL,
  `period` enum('D','W','M','Y') NOT NULL,
  `perioddays` int(11) NOT NULL,
  `days` int(5) NOT NULL default '0',
  `price` float(11,2) NOT NULL default '0.00',
  `nolisting` int(4) NOT NULL default '0',
  `nopictures` int(4) NOT NULL default '0',
  `withoutlink` tinyint(1) NOT NULL default '0',
  `withoutfeatures` tinyint(1) NOT NULL default '0',
  `withoutavailability` tinyint(1) NOT NULL default '0',
  `withoutterms` tinyint(1) NOT NULL default '0',
  `withoutbookings` tinyint(1) NOT NULL default '0',
  `withoutbookingcalendar` tinyint(1) NOT NULL default '0',
  `withoutrates` tinyint(1) NOT NULL default '0',
  `withoutdiscount` tinyint(1) NOT NULL default '0',
  `withoutreviews` tinyint(1) NOT NULL default '0',
  `order` int(3) NOT NULL default '0',
  `active` tinyint(1) NOT NULL default '0',
  `withoutmessages` tinyint(1) NOT NULL default '0',
  UNIQUE KEY `id` (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=latin1;



--
-- Table structure for table `availabilitydays`
--

CREATE TABLE IF NOT EXISTS `availabilitydays` (
  `listingid` int(11) NOT NULL default '0',
  `month` smallint(2) NOT NULL default '0',
  `year` int(4) NOT NULL default '0',
  `available` varchar(31) NOT NULL default ''
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

--
-- Dumping data for table `availabilitydays`
--

INSERT INTO `availabilitydays` (`listingid`, `month`, `year`, `available`) VALUES(1, 12, YEAR(NOW()), 'FFFFFFFFFFFFFFFFFFFFFFFFFFFFFF');
INSERT INTO `availabilitydays` (`listingid`, `month`, `year`, `available`) VALUES(1, 11, YEAR(NOW()), 'FFFFFFFFFFFFFFFFFFFFFFFFFFFFFF');
INSERT INTO `availabilitydays` (`listingid`, `month`, `year`, `available`) VALUES(1, 10, YEAR(NOW()), 'FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF');
INSERT INTO `availabilitydays` (`listingid`, `month`, `year`, `available`) VALUES(1, 9, YEAR(NOW()), 'FFFFFFFFFFFFFFFFFFFFFFFFFFFFFF');
INSERT INTO `availabilitydays` (`listingid`, `month`, `year`, `available`) VALUES(1, 8, YEAR(NOW()), 'FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF');
INSERT INTO `availabilitydays` (`listingid`, `month`, `year`, `available`) VALUES(1, 7, YEAR(NOW()), 'FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF');
INSERT INTO `availabilitydays` (`listingid`, `month`, `year`, `available`) VALUES(1, 6, YEAR(NOW()), 'FFFFFFFFFFFFFFFFFFFFFFFFFFFFFF');
INSERT INTO `availabilitydays` (`listingid`, `month`, `year`, `available`) VALUES(1, 5, YEAR(NOW()), 'FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF');
INSERT INTO `availabilitydays` (`listingid`, `month`, `year`, `available`) VALUES(1, 4, YEAR(NOW()), 'FFFFFFFFFFFFFFFFFFFFFFFFFFFFFF');
INSERT INTO `availabilitydays` (`listingid`, `month`, `year`, `available`) VALUES(1, 3, YEAR(NOW()), 'FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF');
INSERT INTO `availabilitydays` (`listingid`, `month`, `year`, `available`) VALUES(1, 2, YEAR(NOW()), 'FFFFFFFFFFFFFFFFFFFFFFFFFFFF');
INSERT INTO `availabilitydays` (`listingid`, `month`, `year`, `available`) VALUES(1, 1, YEAR(NOW()), 'FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF');
INSERT INTO `availabilitydays` (`listingid`, `month`, `year`, `available`) VALUES(1, 12, YEAR(NOW())+1, 'FFFFFFFFFFFFFFFFFFFFFFFFFFFFFF');
INSERT INTO `availabilitydays` (`listingid`, `month`, `year`, `available`) VALUES(1, 11, YEAR(NOW())+1, 'FFFFFFFFFFFFFFFFFFFFFFFFFFFFFF');
INSERT INTO `availabilitydays` (`listingid`, `month`, `year`, `available`) VALUES(1, 10, YEAR(NOW())+1, 'FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF');
INSERT INTO `availabilitydays` (`listingid`, `month`, `year`, `available`) VALUES(1, 9, YEAR(NOW())+1, 'FFFFFFFFFFFFFFFFFFFFFFFFFFFFFF');
INSERT INTO `availabilitydays` (`listingid`, `month`, `year`, `available`) VALUES(1, 8, YEAR(NOW())+1, 'FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF');
INSERT INTO `availabilitydays` (`listingid`, `month`, `year`, `available`) VALUES(1, 7, YEAR(NOW())+1, 'FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF');
INSERT INTO `availabilitydays` (`listingid`, `month`, `year`, `available`) VALUES(1, 6, YEAR(NOW())+1, 'FFFFFFFFFFFFFFFFFFFFFFFFFFFFFF');
INSERT INTO `availabilitydays` (`listingid`, `month`, `year`, `available`) VALUES(1, 5, YEAR(NOW())+1, 'FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF');
INSERT INTO `availabilitydays` (`listingid`, `month`, `year`, `available`) VALUES(1, 4, YEAR(NOW())+1, 'FFFFFFFFFFFFFFFFFFFFFFFFFFFFFF');
INSERT INTO `availabilitydays` (`listingid`, `month`, `year`, `available`) VALUES(1, 3, YEAR(NOW())+1, 'FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF');
INSERT INTO `availabilitydays` (`listingid`, `month`, `year`, `available`) VALUES(1, 2, YEAR(NOW())+1, 'FFFFFFFFFFFFFFFFFFFFFFFFFFFF');
INSERT INTO `availabilitydays` (`listingid`, `month`, `year`, `available`) VALUES(1, 1, YEAR(NOW())+1, 'FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF');



--
-- Table structure for table `availabilitydaysbooking`
--

CREATE TABLE IF NOT EXISTS `availabilitydaysbooking` (
  `id` int(11) NOT NULL auto_increment,
  `listingid` text,
  `date` date NOT NULL default '0000-00-00',
  UNIQUE KEY `id` (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

--
-- Dumping data for table `availabilitydaysbooking`
--




--
-- Table structure for table `availabilitydaysold`
--

CREATE TABLE IF NOT EXISTS `availabilitydaysold` (
  `id` int(11) NOT NULL auto_increment,
  `listingid` int(11) NOT NULL default '0',
  `date` date NOT NULL default '0000-00-00',
  `active` smallint(1) NOT NULL default '0',
  UNIQUE KEY `id` (`id`),
  KEY `listingid` (`listingid`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

--
-- Dumping data for table `availabilitydaysold`
--




--
-- Table structure for table `availabilitydayssearch`
--

CREATE TABLE IF NOT EXISTS `availabilitydayssearch` (
  `id` int(11) NOT NULL auto_increment,
  `listingid` text,
  `date` date NOT NULL default '0000-00-00',
  UNIQUE KEY `id` (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

--
-- Dumping data for table `availabilitydayssearch`
--




--
-- Table structure for table `banner`
--

CREATE TABLE IF NOT EXISTS `banner` (
  `id` int(11) NOT NULL auto_increment,
  `type` int(11) NOT NULL default '0',
  `bannerimage` varchar(255) NOT NULL default '',
  `bannersourcecode` text NOT NULL,
  `title` varchar(255) NOT NULL default '',
  `desc1` varchar(255) NOT NULL default '',
  `desc2` varchar(255) NOT NULL default '',
  `url1` varchar(255) NOT NULL default '',
  `url2` varchar(255) NOT NULL default '',
  `httptype` varchar(255) NOT NULL default '',
  `sdate` date NOT NULL default '0000-00-00',
  `noviews` int(11) NOT NULL default '0',
  `noclicks` int(11) NOT NULL default '0',
  `status` varchar(255) NOT NULL default '',
  `published` tinyint(1) NOT NULL default '0',
  `ctime` varchar(14) default NULL,
  `mtime` timestamp NOT NULL default CURRENT_TIMESTAMP on update CURRENT_TIMESTAMP,
  UNIQUE KEY `id` (`id`),
  KEY `type` (`type`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

--
-- Dumping data for table `banner`
--




--
-- Table structure for table `bannerclicks`
--

CREATE TABLE IF NOT EXISTS `bannerclicks` (
  `id` int(11) NOT NULL auto_increment,
  `banner` int(11) NOT NULL default '0',
  `date` date NOT NULL default '0000-00-00',
  `time` time default NULL,
  `ip` varchar(255) NOT NULL default '',
  `language` varchar(255) NOT NULL default '',
  `ctime` varchar(14) default NULL,
  `mtime` timestamp NOT NULL default CURRENT_TIMESTAMP on update CURRENT_TIMESTAMP,
  UNIQUE KEY `id` (`id`),
  KEY `banner` (`banner`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

--
-- Dumping data for table `bannerclicks`
--




--
-- Table structure for table `bannerdates`
--

CREATE TABLE IF NOT EXISTS `bannerdates` (
  `id` int(11) NOT NULL auto_increment,
  `banner` int(11) NOT NULL default '0',
  `date` date NOT NULL default '0000-00-00',
  `noviews` int(11) NOT NULL default '0',
  `noclicks` int(11) NOT NULL default '0',
  `ctime` varchar(14) default NULL,
  `mtime` timestamp NOT NULL default CURRENT_TIMESTAMP on update CURRENT_TIMESTAMP,
  UNIQUE KEY `id` (`id`),
  KEY `banner` (`banner`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

--
-- Dumping data for table `bannerdates`
--




--
-- Table structure for table `bannersettings`
--

CREATE TABLE IF NOT EXISTS `bannersettings` (
  `id` int(11) NOT NULL auto_increment,
  `adsensecode1` text NOT NULL,
  `adsensecode2` text NOT NULL,
  `adsensecode3` text NOT NULL,
  `adsensecode4` text NOT NULL,
  `colortitle` varchar(255) NOT NULL default '',
  `colorbackground` varchar(255) NOT NULL default '',
  `colortext` varchar(255) NOT NULL default '',
  `colorurl` varchar(255) NOT NULL default '',
  UNIQUE KEY `id` (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=latin1;

--
-- Dumping data for table `bannersettings`
--

INSERT INTO `bannersettings` (`id`, `adsensecode1`, `adsensecode2`, `adsensecode3`, `adsensecode4`, `colortitle`, `colorbackground`, `colortext`, `colorurl`) VALUES(1, '', '', '', '', '#00A4CE', '#DFF3FF', '#00A4CE', '#00A4CE');



--
-- Table structure for table `booking`
--

CREATE TABLE IF NOT EXISTS `booking` (
  `id` int(11) NOT NULL auto_increment,
  `listingid` int(11) NOT NULL default '0',
  `date_start` date NOT NULL default '0000-00-00',
  `date_ends` date NOT NULL default '0000-00-00',
  `days` int(11) NOT NULL default '0',
  `discount` int(3) NOT NULL default '0',
  `subtotal` float(11,2) NOT NULL default '0.00',
  `total` float(11,2) NOT NULL default '0.00',
  `name` varchar(255) default NULL,
  `address` varchar(255) default NULL,
  `country` varchar(255) default NULL,
  `city` varchar(255) default NULL,
  `phone` varchar(255) default NULL,
  `email` varchar(255) default NULL,
  `age` varchar(255) default NULL,
  `gender` varchar(255) default NULL,
  `number_of_adults` varchar(255) default NULL,
  `airport_transfer` varchar(255) default NULL,
  `method_of_payment` varchar(255) default NULL,
  `general_comments` varchar(255) default NULL,
  `number_of_children` varchar(255) default NULL,
  `flight_information` varchar(255) default NULL,
  `wireless_internet` varchar(255) default NULL,
  `feedback` text NOT NULL,
  `unic_id` varchar(32) NOT NULL default '',
  `active` tinyint(1) NOT NULL default '0',
  `date_add` date NOT NULL default '0000-00-00',
  `date_confirm` date NOT NULL default '0000-00-00',
  `ip` varchar(32) NOT NULL default '',
  PRIMARY KEY  (`id`),
  UNIQUE KEY `id` (`id`),
  KEY `listingid` (`listingid`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

--
-- Dumping data for table `booking`
--




--
-- Table structure for table `city`
--

CREATE TABLE IF NOT EXISTS `city` (
  `id` int(11) NOT NULL auto_increment,
  `countryid` int(11) NOT NULL default '0',
  `provinceid` int(11) NOT NULL default '0',
  `name` varchar(255) NOT NULL default '',
  `name1` varchar(255) NOT NULL default '',
  `name2` varchar(255) NOT NULL default '',
  `name3` varchar(255) NOT NULL default '',
  UNIQUE KEY `id` (`id`),
  KEY `countryid` (`countryid`),
  KEY `provinceid` (`provinceid`)
) ENGINE=MyISAM  DEFAULT CHARSET=latin1;

--
-- Dumping data for table `city`
--

INSERT INTO `city` (`id`, `countryid`, `provinceid`, `name`, `name1`, `name2`, `name3`) VALUES(1, 1, 1, 'Iasi', '', '', '');
INSERT INTO `city` (`id`, `countryid`, `provinceid`, `name`, `name1`, `name2`, `name3`) VALUES(2, 1, 2, 'Bucuresti', '', '', '');
INSERT INTO `city` (`id`, `countryid`, `provinceid`, `name`, `name1`, `name2`, `name3`) VALUES(3, 2, 3, 'Bourges', '', '', '');



--
-- Table structure for table `country`
--

CREATE TABLE IF NOT EXISTS `country` (
  `id` int(11) NOT NULL auto_increment,
  `name` varchar(255) NOT NULL default '',
  `name1` varchar(255) NOT NULL default '',
  `name2` varchar(255) NOT NULL default '',
  `name3` varchar(255) NOT NULL default '',
  `description` text NOT NULL,
  `description1` text NOT NULL,
  `description2` text NOT NULL,
  `description3` text NOT NULL,
  UNIQUE KEY `id` (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=latin1;

--
-- Dumping data for table `country`
--

INSERT INTO `country` (`id`, `name`, `name1`, `name2`, `name3`, `description`, `description1`, `description2`, `description3`) VALUES(1, 'Romania', '', '', '', '', '', '', '');
INSERT INTO `country` (`id`, `name`, `name1`, `name2`, `name3`, `description`, `description1`, `description2`, `description3`) VALUES(2, 'France', '', '', '', '', '', '', '');



--
-- Table structure for table `currency`
--

CREATE TABLE IF NOT EXISTS `currency` (
  `id` int(11) NOT NULL auto_increment,
  `name` varchar(255) NOT NULL default '',
  `name1` varchar(255) NOT NULL default '',
  `name2` varchar(255) NOT NULL default '',
  `name3` varchar(255) NOT NULL default '',
  `symbol` varchar(255) NOT NULL default '',
  `ratiotodefault` float(11,4) NOT NULL default '0.0000',
  `defaultcurrency` tinyint(1) NOT NULL default '0',
  UNIQUE KEY `id` (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=latin1;

--
-- Dumping data for table `currency`
--

INSERT INTO `currency` (`id`, `name`, `name1`, `name2`, `name3`, `symbol`, `ratiotodefault`, `defaultcurrency`) VALUES(1, 'USD United States Dollars', '', '', '', '$', 1.0000, 1);
INSERT INTO `currency` (`id`, `name`, `name1`, `name2`, `name3`, `symbol`, `ratiotodefault`, `defaultcurrency`) VALUES(2, 'EUR Euro', '', '', '', 'EUR', 0.8273, 0);
INSERT INTO `currency` (`id`, `name`, `name1`, `name2`, `name3`, `symbol`, `ratiotodefault`, `defaultcurrency`) VALUES(3, 'CAD Canada Dollars', '', '', '', 'CAD', 1.1489, 0);



--
-- Table structure for table `customlinks`
--

CREATE TABLE IF NOT EXISTS `customlinks` (
  `id` int(11) NOT NULL auto_increment,
  `name` varchar(255) NOT NULL default '',
  `name1` varchar(255) NOT NULL default '',
  `name2` varchar(255) NOT NULL default '',
  `name3` varchar(255) NOT NULL default '',
  `content` text NOT NULL,
  `content1` text NOT NULL,
  `content2` text NOT NULL,
  `content3` text NOT NULL,
  `sitetitle` varchar(255) NOT NULL,
  `sitetitle1` varchar(255) NOT NULL,
  `sitetitle2` varchar(255) NOT NULL,
  `sitetitle3` varchar(255) NOT NULL,
  `metadescription` text NOT NULL,
  `metadescription1` text NOT NULL,
  `metadescription2` text NOT NULL,
  `metadescription3` text NOT NULL,
  `metakeywords` text NOT NULL,
  `metakeywords1` text NOT NULL,
  `metakeywords2` text NOT NULL,
  `metakeywords3` text NOT NULL,
  `order` int(11) NOT NULL default '0',
  `active` tinyint(1) NOT NULL default '0',
  UNIQUE KEY `id` (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=latin1;

--
-- Dumping data for table `customlinks`
--

INSERT INTO `customlinks` (`id`, `name`, `name1`, `name2`, `name3`, `content`, `content1`, `content2`, `content3`, `sitetitle`, `sitetitle1`, `sitetitle2`, `sitetitle3`, `metadescription`, `metadescription1`, `metadescription2`, `metadescription3`, `metakeywords`, `metakeywords1`, `metakeywords2`, `metakeywords3`, `order`, `active`) VALUES(1, 'test', '', '', '', 'test', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', 1, 1);



--
-- Table structure for table `discount`
--

CREATE TABLE IF NOT EXISTS `discount` (
  `id` int(11) NOT NULL auto_increment,
  `listingid` int(11) NOT NULL default '0',
  `days` int(11) NOT NULL default '0',
  `discount` int(3) NOT NULL default '0',
  UNIQUE KEY `id` (`id`),
  KEY `listingid` (`listingid`)
) ENGINE=MyISAM  DEFAULT CHARSET=latin1;

--
-- Dumping data for table `discount`
--

INSERT INTO `discount` (`id`, `listingid`, `days`, `discount`) VALUES(1, 1, 5, 10);



--
-- Table structure for table `faq`
--

CREATE TABLE IF NOT EXISTS `faq` (
  `id` int(11) NOT NULL auto_increment,
  `name` varchar(255) NOT NULL default '',
  `name1` varchar(255) NOT NULL default '',
  `name2` varchar(255) NOT NULL default '',
  `name3` varchar(255) NOT NULL default '',
  `content` text NOT NULL,
  `content1` text NOT NULL,
  `content2` text NOT NULL,
  `content3` text NOT NULL,
  `order` int(11) NOT NULL default '0',
  UNIQUE KEY `id` (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=latin1;

--
-- Dumping data for table `faq`
--

INSERT INTO `faq` (`id`, `name`, `name1`, `name2`, `name3`, `content`, `content1`, `content2`, `content3`, `order`) VALUES(1, 'Lorem Ipsum is simply', 'Lorem Ipsum is simply', '', '', 'Lorem Ipsum is simply dummy text of the printing and typesetting industry. Lorem Ipsum has been the industry''s standard dummy text ever since the 1500s, when an unknown printer took a galley of type and scrambled it to make a type specimen book. It has survived not only five centuries, but also the leap into electronic typesetting, remaining essentially unchanged. It was popularised in the 1960s with the release of Letraset sheets containing Lorem Ipsum passages, and more recently with desktop publishing software like Aldus PageMaker including versions of Lorem Ipsum.', 'Lorem Ipsum is simply dummy text of the printing and typesetting industry. Lorem Ipsum has been the industry''s standard dummy text ever since the 1500s, when an unknown printer took a galley of type and scrambled it to make a type specimen book. It has survived not only five centuries, but also the leap into electronic typesetting, remaining essentially unchanged. It was popularised in the 1960s with the release of Letraset sheets containing Lorem Ipsum passages, and more recently with desktop publishing software like Aldus PageMaker including versions of Lorem Ipsum.', '', '', 1);



--
-- Table structure for table `features`
--

CREATE TABLE IF NOT EXISTS `features` (
  `id` int(11) NOT NULL auto_increment,
  `name` varchar(255) NOT NULL default '',
  `name1` varchar(255) NOT NULL default '',
  `name2` varchar(255) NOT NULL default '',
  `name3` varchar(255) NOT NULL default '',
  UNIQUE KEY `id` (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=latin1;

--
-- Dumping data for table `features`
--

INSERT INTO `features` (`id`, `name`, `name1`, `name2`, `name3`) VALUES(1, '18-Hole Championship Golf Course', '', '', '');
INSERT INTO `features` (`id`, `name`, `name1`, `name2`, `name3`) VALUES(2, 'Air conditioning', '', '', '');
INSERT INTO `features` (`id`, `name`, `name1`, `name2`, `name3`) VALUES(3, 'Conference Centre', '', '', '');
INSERT INTO `features` (`id`, `name`, `name1`, `name2`, `name3`) VALUES(4, 'Direct Beach Access', '', '', '');
INSERT INTO `features` (`id`, `name`, `name1`, `name2`, `name3`) VALUES(5, 'European aplliances', '', '', '');
INSERT INTO `features` (`id`, `name`, `name1`, `name2`, `name3`) VALUES(6, 'Gymnasium', '', '', '');
INSERT INTO `features` (`id`, `name`, `name1`, `name2`, `name3`) VALUES(7, 'Lime stone floor', '', '', '');
INSERT INTO `features` (`id`, `name`, `name1`, `name2`, `name3`) VALUES(8, 'Resort Pool', '', '', '');
INSERT INTO `features` (`id`, `name`, `name1`, `name2`, `name3`) VALUES(9, 'Sub-Tropical Landscaping', '', '', '');
INSERT INTO `features` (`id`, `name`, `name1`, `name2`, `name3`) VALUES(10, 'Tennis Courts', '', '', '');
INSERT INTO `features` (`id`, `name`, `name1`, `name2`, `name3`) VALUES(11, '24 Hour Security', '', '', '');
INSERT INTO `features` (`id`, `name`, `name1`, `name2`, `name3`) VALUES(12, 'Community Swimming Pools', '', '', '');
INSERT INTO `features` (`id`, `name`, `name1`, `name2`, `name3`) VALUES(13, 'Country Club', '', '', '');
INSERT INTO `features` (`id`, `name`, `name1`, `name2`, `name3`) VALUES(14, 'Ensuite', '', '', '');
INSERT INTO `features` (`id`, `name`, `name1`, `name2`, `name3`) VALUES(15, 'Gated Community', '', '', '');
INSERT INTO `features` (`id`, `name`, `name1`, `name2`, `name3`) VALUES(16, 'Health Spa', '', '', '');
INSERT INTO `features` (`id`, `name`, `name1`, `name2`, `name3`) VALUES(17, 'Pilates Studio', '', '', '');
INSERT INTO `features` (`id`, `name`, `name1`, `name2`, `name3`) VALUES(18, 'spa', '', '', '');
INSERT INTO `features` (`id`, `name`, `name1`, `name2`, `name3`) VALUES(19, 'Swimming Pool', '', '', '');



--
-- Table structure for table `fieldsorder`
--

CREATE TABLE IF NOT EXISTS `fieldsorder` (
  `id` int(11) NOT NULL auto_increment,
  `field` varchar(255) NOT NULL default '0',
  `relation` int(11) NOT NULL default '0',
  `defaultvalue` varchar(255) NOT NULL default '',
  `checkedvalue` tinyint(1) NOT NULL default '0',
  UNIQUE KEY `id` (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `fieldsorder`
--




--
-- Table structure for table `fieldstranslate`
--

CREATE TABLE IF NOT EXISTS `fieldstranslate` (
  `id` int(11) NOT NULL auto_increment,
  `field` varchar(255) NOT NULL default '',
  `name` varchar(255) NOT NULL default '',
  UNIQUE KEY `id` (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `fieldstranslate`
--




--
-- Table structure for table `gallery`
--

CREATE TABLE IF NOT EXISTS `gallery` (
  `id` int(11) NOT NULL auto_increment,
  `listingid` int(11) NOT NULL default '0',
  `picture` varchar(40) NOT NULL default '',
  `thumbnail` varchar(40) NOT NULL default '',
  `description` varchar(255) NOT NULL default '',
  `description1` varchar(255) NOT NULL default '',
  `description2` varchar(255) NOT NULL default '',
  `description3` varchar(255) NOT NULL default '',
  `order` int(11) NOT NULL default '0',
  UNIQUE KEY `id` (`id`),
  KEY `listingid` (`listingid`)
) ENGINE=MyISAM  DEFAULT CHARSET=latin1;

--
-- Dumping data for table `gallery`
--

INSERT INTO `gallery` (`id`, `listingid`, `picture`, `thumbnail`, `description`, `description1`, `description2`, `description3`, `order`) VALUES(1, 1, '533d4908bb1c809d4b13ee5b2957b584.jpg', 'a82720ff078d2d1e0e83e855e2e1a65b.jpg', 'House 1', '', '', '', 1);
INSERT INTO `gallery` (`id`, `listingid`, `picture`, `thumbnail`, `description`, `description1`, `description2`, `description3`, `order`) VALUES(2, 1, 'd0a07442389b66343403cdd4fa97dc69.jpg', '3a39a91242d5f4434e8a881f2f07c8d7.jpg', 'House 2', '', '', '', 2);
INSERT INTO `gallery` (`id`, `listingid`, `picture`, `thumbnail`, `description`, `description1`, `description2`, `description3`, `order`) VALUES(3, 1, '0fb45c1bffa9d38d345d9ff494c85a1f.jpg', 'cd382e2e8ce6a4e89013cc904a3d5c89.jpg', 'House 3', '', '', '', 3);



--
-- Table structure for table `helpowner`
--

CREATE TABLE IF NOT EXISTS `helpowner` (
  `id` int(11) NOT NULL auto_increment,
  `name` varchar(255) NOT NULL default '',
  `name1` varchar(255) NOT NULL default '',
  `name2` varchar(255) NOT NULL default '',
  `name3` varchar(255) NOT NULL default '',
  `description` text NOT NULL,
  `description1` text NOT NULL,
  `description2` text NOT NULL,
  `description3` text NOT NULL,
  UNIQUE KEY `id` (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=latin1;

--
-- Dumping data for table `helpowner`
--

INSERT INTO `helpowner` (`id`, `name`, `name1`, `name2`, `name3`, `description`, `description1`, `description2`, `description3`) VALUES(1, 'Help Page', '', '', '', 'Help Page', '', '', '');



--
-- Table structure for table `homepage`
--

CREATE TABLE IF NOT EXISTS `homepage` (
  `id` int(11) NOT NULL auto_increment,
  `name` varchar(255) NOT NULL default '',
  `name1` varchar(255) NOT NULL default '',
  `name2` varchar(255) NOT NULL default '',
  `name3` varchar(255) NOT NULL default '',
  `description` text NOT NULL,
  `description1` text NOT NULL,
  `description2` text NOT NULL,
  `description3` text NOT NULL,
  UNIQUE KEY `id` (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=latin1;

--
-- Dumping data for table `homepage`
--

INSERT INTO `homepage` (`id`, `name`, `name1`, `name2`, `name3`, `description`, `description1`, `description2`, `description3`) VALUES(1, 'Welcome to PHP Vacation Rental :: Vacation Rental Software 5.0', '', '', '', '<div align="center"><font size="4" face="Tahoma" color="#5f81a6">PHP Vacation Rental :: Vacation Rental Software 5.0</font></div>\r\n<br /><br />\r\n<div align="left"><font face="Tahoma">PHP Vacation Rental is a professional solution for a vacation rental website with <span style="font-weight: bold;">online booking engine allows customers to book on your website</span>.<br />Although you only need ten minutes to install, it is both easy to use and rich in the features you need.<br />The right choice for your business! Keep it simple, keep it productive, keep it focused!<br />Please check the online demo and the limited price offer!</font></div>\r\n<br /> <font color="red" style="font-size: 16px; font-weight: bold;">New in version 5.0</font> <strong><br /><br />- seo settings (you can choose and customize now the sitetitle, metakeywords and metadescription for every page)</strong><br /><strong>- payment system for bookings</strong><br /><strong>- select the add/modify vacation form fields order</strong><br /><strong>- add up to 10 custom fields for vacation form</strong><br /><strong>- use lightbox for gallery</strong><br /><br /><br /><font size="3" face="Tahoma" color="#5f81a6"><strong>WELCOME TO PHP Vacation Rental</strong></font>\r\n<p>  </p>\r\n<p><strong>PHP Vacation Rental</strong> : is easy-to-use vacation property management with powerful personalization and customization features.<br /></p>\r\n<ul>\r\n    <li>import/export system</li>\r\n    <li>manage banners</li>\r\n    <li>google map search</li>\r\n    <li>multiple language support  </li>\r\n    <li>create your home page</li>\r\n    <li>send email to admin/agent</li>\r\n    <li>wysiwyg editor added for textarea </li>\r\n    <li>sponsored listing  </li>\r\n    <li>and much more.... </li>\r\n</ul>\r\n<br /><a href="http://demo.phpvacationrental.com">view online demo</a> <br /><br /><font size="2" face="Tahoma" color="#5f81a6"><strong>Why us?</strong></font>\r\n<ul>\r\n    <li>Easy to use  </li>\r\n    <li>Easy to install  </li>\r\n    <li>All messages are in language.php, and u can change them the way u want  </li>\r\n    <li>All html tags are in templates and u can change them the way u want. You can create a new design, too.  </li>\r\n    <li>free installation  </li>\r\n    <li>free technical support for 18 months  </li>\r\n    <li>free upgrades for 18 months. </li>\r\n</ul>\r\n<br /><a href="http://www.phpvacationrental.com/buy.html">order now!</a>', '', '', '');



--
-- Table structure for table `homepageowner`
--

CREATE TABLE IF NOT EXISTS `homepageowner` (
  `id` int(11) NOT NULL auto_increment,
  `name` varchar(255) NOT NULL default '',
  `name1` varchar(255) NOT NULL default '',
  `name2` varchar(255) NOT NULL default '',
  `name3` varchar(255) NOT NULL default '',
  `description` text NOT NULL,
  `description1` text NOT NULL,
  `description2` text NOT NULL,
  `description3` text NOT NULL,
  UNIQUE KEY `id` (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=latin1;

--
-- Dumping data for table `homepageowner`
--

INSERT INTO `homepageowner` (`id`, `name`, `name1`, `name2`, `name3`, `description`, `description1`, `description2`, `description3`) VALUES(1, 'Welcome owner', '', '', '', '<h2>Welcome owner.</h2>\r\n<h2><br />To add a listing press &quot;Properties&quot; from left menu , and then Add from top.</h2>', '', '', '');



--
-- Table structure for table `importsettings`
--

CREATE TABLE IF NOT EXISTS `importsettings` (
  `id` int(11) NOT NULL auto_increment,
  `field` varchar(255) NOT NULL default '0',
  `relation` int(11) NOT NULL default '0',
  `defaultvalue` varchar(255) NOT NULL default '',
  UNIQUE KEY `id` (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=latin1;

--
-- Dumping data for table `importsettings`
--

INSERT INTO `importsettings` (`id`, `field`, `relation`, `defaultvalue`) VALUES(1, 'listing__id', 1, '\n');
INSERT INTO `importsettings` (`id`, `field`, `relation`, `defaultvalue`) VALUES(2, 'listing__admin', 2, '\n');
INSERT INTO `importsettings` (`id`, `field`, `relation`, `defaultvalue`) VALUES(3, 'listing__country', 3, '\n');
INSERT INTO `importsettings` (`id`, `field`, `relation`, `defaultvalue`) VALUES(4, 'listing__province', 4, '\n');
INSERT INTO `importsettings` (`id`, `field`, `relation`, `defaultvalue`) VALUES(5, 'listing__city', 5, '\n');
INSERT INTO `importsettings` (`id`, `field`, `relation`, `defaultvalue`) VALUES(6, 'listing__type', 6, '\n');
INSERT INTO `importsettings` (`id`, `field`, `relation`, `defaultvalue`) VALUES(7, 'listing__title', 7, '\n');
INSERT INTO `importsettings` (`id`, `field`, `relation`, `defaultvalue`) VALUES(8, 'listing__defaultrate', 8, '\n');
INSERT INTO `importsettings` (`id`, `field`, `relation`, `defaultvalue`) VALUES(9, 'listing__address', 9, '\n');
INSERT INTO `importsettings` (`id`, `field`, `relation`, `defaultvalue`) VALUES(10, 'listing__postal', 10, '\n');
INSERT INTO `importsettings` (`id`, `field`, `relation`, `defaultvalue`) VALUES(11, 'listing__latitude', 11, '\n');
INSERT INTO `importsettings` (`id`, `field`, `relation`, `defaultvalue`) VALUES(12, 'listing__longitude', 12, '\n');
INSERT INTO `importsettings` (`id`, `field`, `relation`, `defaultvalue`) VALUES(13, 'listing__bedrooms', 13, '\n');
INSERT INTO `importsettings` (`id`, `field`, `relation`, `defaultvalue`) VALUES(14, 'listing__bathrooms', 14, '\n');
INSERT INTO `importsettings` (`id`, `field`, `relation`, `defaultvalue`) VALUES(15, 'listing__floors', 15, '\n');
INSERT INTO `importsettings` (`id`, `field`, `relation`, `defaultvalue`) VALUES(16, 'listing__persons', 16, '\n');
INSERT INTO `importsettings` (`id`, `field`, `relation`, `defaultvalue`) VALUES(17, 'listing__pets', 17, '\n');
INSERT INTO `importsettings` (`id`, `field`, `relation`, `defaultvalue`) VALUES(18, 'listing__smoking', 18, '\n');
INSERT INTO `importsettings` (`id`, `field`, `relation`, `defaultvalue`) VALUES(19, 'listing__hottubjacuzzi', 19, '\n');
INSERT INTO `importsettings` (`id`, `field`, `relation`, `defaultvalue`) VALUES(20, 'listing__beach', 20, '\n');
INSERT INTO `importsettings` (`id`, `field`, `relation`, `defaultvalue`) VALUES(21, 'listing__housearea', 21, '\n');
INSERT INTO `importsettings` (`id`, `field`, `relation`, `defaultvalue`) VALUES(22, 'listing__shortdescription', 22, '\n');
INSERT INTO `importsettings` (`id`, `field`, `relation`, `defaultvalue`) VALUES(23, 'listing__description', 23, '\n');
INSERT INTO `importsettings` (`id`, `field`, `relation`, `defaultvalue`) VALUES(24, 'listing__terms', 24, '\n');
INSERT INTO `importsettings` (`id`, `field`, `relation`, `defaultvalue`) VALUES(25, 'listing__url', 25, '\n');
INSERT INTO `importsettings` (`id`, `field`, `relation`, `defaultvalue`) VALUES(26, 'listing__active', 26, '\n');
INSERT INTO `importsettings` (`id`, `field`, `relation`, `defaultvalue`) VALUES(27, 'listing__sitetitle', 27, '\n');
INSERT INTO `importsettings` (`id`, `field`, `relation`, `defaultvalue`) VALUES(28, 'listing__metadescription', 28, '\n');
INSERT INTO `importsettings` (`id`, `field`, `relation`, `defaultvalue`) VALUES(29, 'listing__metakeywords', 29, '\n');
INSERT INTO `importsettings` (`id`, `field`, `relation`, `defaultvalue`) VALUES(30, 'listing__lastcalendarupdate', 30, '\n');
INSERT INTO `importsettings` (`id`, `field`, `relation`, `defaultvalue`) VALUES(31, 'features__1', 31, '\n');
INSERT INTO `importsettings` (`id`, `field`, `relation`, `defaultvalue`) VALUES(32, 'features__11', 32, '\n');
INSERT INTO `importsettings` (`id`, `field`, `relation`, `defaultvalue`) VALUES(33, 'features__2', 33, '\n');
INSERT INTO `importsettings` (`id`, `field`, `relation`, `defaultvalue`) VALUES(34, 'features__12', 34, '\n');
INSERT INTO `importsettings` (`id`, `field`, `relation`, `defaultvalue`) VALUES(35, 'features__3', 35, '\n');
INSERT INTO `importsettings` (`id`, `field`, `relation`, `defaultvalue`) VALUES(36, 'features__13', 36, '\n');
INSERT INTO `importsettings` (`id`, `field`, `relation`, `defaultvalue`) VALUES(37, 'features__4', 37, '\n');
INSERT INTO `importsettings` (`id`, `field`, `relation`, `defaultvalue`) VALUES(38, 'features__14', 38, '\n');
INSERT INTO `importsettings` (`id`, `field`, `relation`, `defaultvalue`) VALUES(39, 'features__5', 39, '\n');
INSERT INTO `importsettings` (`id`, `field`, `relation`, `defaultvalue`) VALUES(40, 'features__15', 40, '\n');
INSERT INTO `importsettings` (`id`, `field`, `relation`, `defaultvalue`) VALUES(41, 'features__6', 41, '\n');
INSERT INTO `importsettings` (`id`, `field`, `relation`, `defaultvalue`) VALUES(42, 'features__16', 42, '\n');
INSERT INTO `importsettings` (`id`, `field`, `relation`, `defaultvalue`) VALUES(43, 'features__7', 43, '\n');
INSERT INTO `importsettings` (`id`, `field`, `relation`, `defaultvalue`) VALUES(44, 'features__17', 44, '\n');
INSERT INTO `importsettings` (`id`, `field`, `relation`, `defaultvalue`) VALUES(45, 'features__8', 45, '\n');
INSERT INTO `importsettings` (`id`, `field`, `relation`, `defaultvalue`) VALUES(46, 'features__18', 46, '\n');
INSERT INTO `importsettings` (`id`, `field`, `relation`, `defaultvalue`) VALUES(47, 'features__9', 47, '\n');
INSERT INTO `importsettings` (`id`, `field`, `relation`, `defaultvalue`) VALUES(48, 'features__19', 48, '\n');
INSERT INTO `importsettings` (`id`, `field`, `relation`, `defaultvalue`) VALUES(49, 'features__10', 49, '\n');
INSERT INTO `importsettings` (`id`, `field`, `relation`, `defaultvalue`) VALUES(50, 'gallery__1', 50, '\n');
INSERT INTO `importsettings` (`id`, `field`, `relation`, `defaultvalue`) VALUES(51, 'gallery__2', 51, '\n');
INSERT INTO `importsettings` (`id`, `field`, `relation`, `defaultvalue`) VALUES(52, 'gallery__3', 52, '\n');
INSERT INTO `importsettings` (`id`, `field`, `relation`, `defaultvalue`) VALUES(53, 'gallery__4', 53, '\n');
INSERT INTO `importsettings` (`id`, `field`, `relation`, `defaultvalue`) VALUES(54, 'gallery__5', 999999, '\n');
INSERT INTO `importsettings` (`id`, `field`, `relation`, `defaultvalue`) VALUES(55, 'listing__customa', 55, '\n');
INSERT INTO `importsettings` (`id`, `field`, `relation`, `defaultvalue`) VALUES(56, 'listing__customa1', 56, '\n');
INSERT INTO `importsettings` (`id`, `field`, `relation`, `defaultvalue`) VALUES(57, 'listing__customa2', 57, '\n');
INSERT INTO `importsettings` (`id`, `field`, `relation`, `defaultvalue`) VALUES(58, 'listing__customa3', 58, '\n');
INSERT INTO `importsettings` (`id`, `field`, `relation`, `defaultvalue`) VALUES(59, 'listing__customb', 59, '\n');
INSERT INTO `importsettings` (`id`, `field`, `relation`, `defaultvalue`) VALUES(60, 'listing__customb1', 60, '\n');
INSERT INTO `importsettings` (`id`, `field`, `relation`, `defaultvalue`) VALUES(61, 'listing__customb2', 61, '\n');
INSERT INTO `importsettings` (`id`, `field`, `relation`, `defaultvalue`) VALUES(62, 'listing__customb3', 62, '\n');
INSERT INTO `importsettings` (`id`, `field`, `relation`, `defaultvalue`) VALUES(63, 'listing__customc', 63, '\n');
INSERT INTO `importsettings` (`id`, `field`, `relation`, `defaultvalue`) VALUES(64, 'listing__customc1', 64, '\n');
INSERT INTO `importsettings` (`id`, `field`, `relation`, `defaultvalue`) VALUES(65, 'listing__customc2', 65, '\n');
INSERT INTO `importsettings` (`id`, `field`, `relation`, `defaultvalue`) VALUES(66, 'listing__customc3', 66, '\n');
INSERT INTO `importsettings` (`id`, `field`, `relation`, `defaultvalue`) VALUES(67, 'listing__customd', 67, '\n');
INSERT INTO `importsettings` (`id`, `field`, `relation`, `defaultvalue`) VALUES(68, 'listing__customd1', 68, '\n');
INSERT INTO `importsettings` (`id`, `field`, `relation`, `defaultvalue`) VALUES(69, 'listing__customd2', 69, '\n');
INSERT INTO `importsettings` (`id`, `field`, `relation`, `defaultvalue`) VALUES(70, 'listing__customd3', 70, '\n');
INSERT INTO `importsettings` (`id`, `field`, `relation`, `defaultvalue`) VALUES(71, 'listing__custome', 71, '\n');
INSERT INTO `importsettings` (`id`, `field`, `relation`, `defaultvalue`) VALUES(72, 'listing__custome1', 72, '\n');
INSERT INTO `importsettings` (`id`, `field`, `relation`, `defaultvalue`) VALUES(73, 'listing__custome2', 73, '\n');
INSERT INTO `importsettings` (`id`, `field`, `relation`, `defaultvalue`) VALUES(74, 'listing__custome3', 74, '\n');
INSERT INTO `importsettings` (`id`, `field`, `relation`, `defaultvalue`) VALUES(75, 'listing__customf', 75, '\n');
INSERT INTO `importsettings` (`id`, `field`, `relation`, `defaultvalue`) VALUES(76, 'listing__customf1', 76, '\n');
INSERT INTO `importsettings` (`id`, `field`, `relation`, `defaultvalue`) VALUES(77, 'listing__customf2', 77, '\n');
INSERT INTO `importsettings` (`id`, `field`, `relation`, `defaultvalue`) VALUES(78, 'listing__customf3', 78, '\n');
INSERT INTO `importsettings` (`id`, `field`, `relation`, `defaultvalue`) VALUES(79, 'listing__customg', 79, '\n');
INSERT INTO `importsettings` (`id`, `field`, `relation`, `defaultvalue`) VALUES(80, 'listing__customg1', 80, '\n');
INSERT INTO `importsettings` (`id`, `field`, `relation`, `defaultvalue`) VALUES(81, 'listing__customg2', 81, '\n');
INSERT INTO `importsettings` (`id`, `field`, `relation`, `defaultvalue`) VALUES(82, 'listing__customg3', 82, '\n');
INSERT INTO `importsettings` (`id`, `field`, `relation`, `defaultvalue`) VALUES(83, 'listing__customh', 83, '\n');
INSERT INTO `importsettings` (`id`, `field`, `relation`, `defaultvalue`) VALUES(84, 'listing__customh1', 84, '\n');
INSERT INTO `importsettings` (`id`, `field`, `relation`, `defaultvalue`) VALUES(85, 'listing__customh2', 85, '\n');
INSERT INTO `importsettings` (`id`, `field`, `relation`, `defaultvalue`) VALUES(86, 'listing__customh3', 86, '\n');
INSERT INTO `importsettings` (`id`, `field`, `relation`, `defaultvalue`) VALUES(87, 'listing__customi', 87, '\n');
INSERT INTO `importsettings` (`id`, `field`, `relation`, `defaultvalue`) VALUES(88, 'listing__customi1', 88, '\n');
INSERT INTO `importsettings` (`id`, `field`, `relation`, `defaultvalue`) VALUES(89, 'listing__customi2', 89, '\n');
INSERT INTO `importsettings` (`id`, `field`, `relation`, `defaultvalue`) VALUES(90, 'listing__customi3', 90, '\n');
INSERT INTO `importsettings` (`id`, `field`, `relation`, `defaultvalue`) VALUES(91, 'listing__customj', 91, '\n');
INSERT INTO `importsettings` (`id`, `field`, `relation`, `defaultvalue`) VALUES(92, 'listing__customj1', 92, '\n');
INSERT INTO `importsettings` (`id`, `field`, `relation`, `defaultvalue`) VALUES(93, 'listing__customj2', 93, '\n');
INSERT INTO `importsettings` (`id`, `field`, `relation`, `defaultvalue`) VALUES(94, 'listing__customj3', 94, '\n');



--
-- Table structure for table `ips`
--

CREATE TABLE IF NOT EXISTS `ips` (
  `id` int(11) NOT NULL auto_increment,
  `ip` varchar(255) NOT NULL default '',
  `active` tinyint(1) NOT NULL default '0',
  `date_start` date NOT NULL default '0000-00-00',
  `date_ends` date NOT NULL default '0000-00-00',
  UNIQUE KEY `id` (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

--
-- Dumping data for table `ips`
--




--
-- Table structure for table `javascript`
--

CREATE TABLE IF NOT EXISTS `javascript` (
  `id` int(11) NOT NULL auto_increment,
  `countryjavascript` longtext NOT NULL,
  `provincejavascript` longtext NOT NULL,
  `cityjavascript` longtext NOT NULL,
  UNIQUE KEY `id` (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=latin1;

--
-- Dumping data for table `javascript`
--

INSERT INTO `javascript` (`id`, `countryjavascript`, `provincejavascript`, `cityjavascript`) VALUES(1,'','','');



--
-- Table structure for table `listing`
--

CREATE TABLE IF NOT EXISTS `listing` (
  `id` int(11) NOT NULL auto_increment,
  `admin` int(11) NOT NULL default '0',
  `country` int(11) NOT NULL default '0',
  `province` int(11) NOT NULL default '0',
  `city` int(11) NOT NULL default '0',
  `type` int(11) NOT NULL default '0',
  `title` varchar(255) NOT NULL default '',
  `title1` varchar(255) NOT NULL default '',
  `title2` varchar(255) NOT NULL default '',
  `title3` varchar(255) NOT NULL default '',
  `defaultrate` float(11,2) NOT NULL default '0.00',
  `price` float(11,2) NOT NULL default '0.00',
  `price1` float(11,2) NOT NULL default '0.00',
  `price2` float(11,2) NOT NULL default '0.00',
  `specialprice` float(11,2) NOT NULL default '0.00',
  `pricemesg` varchar(255) NOT NULL default '',
  `pricemesg1` varchar(255) NOT NULL default '',
  `pricemesg2` varchar(255) NOT NULL default '',
  `pricemesg3` varchar(255) NOT NULL default '',
  `address` varchar(255) NOT NULL default '',
  `postal` varchar(255) NOT NULL default '',
  `latitude` varchar(255) NOT NULL default '',
  `longitude` varchar(255) NOT NULL default '',
  `customa` varchar(255) NOT NULL,
  `customa1` varchar(255) NOT NULL,
  `customa2` varchar(255) NOT NULL,
  `customa3` varchar(255) NOT NULL,
  `customb` varchar(255) NOT NULL,
  `customb1` varchar(255) NOT NULL,
  `customb2` varchar(255) NOT NULL,
  `customb3` varchar(255) NOT NULL,
  `customc` varchar(255) NOT NULL,
  `customc1` varchar(255) NOT NULL,
  `customc2` varchar(255) NOT NULL,
  `customc3` varchar(255) NOT NULL,
  `customd` varchar(255) NOT NULL,
  `customd1` varchar(255) NOT NULL,
  `customd2` varchar(255) NOT NULL,
  `customd3` varchar(255) NOT NULL,
  `custome` varchar(255) NOT NULL,
  `custome1` varchar(255) NOT NULL,
  `custome2` varchar(255) NOT NULL,
  `custome3` varchar(255) NOT NULL,
  `customf` varchar(255) NOT NULL,
  `customf1` varchar(255) NOT NULL,
  `customf2` varchar(255) NOT NULL,
  `customf3` varchar(255) NOT NULL,
  `customg` varchar(255) NOT NULL,
  `customg1` varchar(255) NOT NULL,
  `customg2` varchar(255) NOT NULL,
  `customg3` varchar(255) NOT NULL,
  `customh` varchar(255) NOT NULL,
  `customh1` varchar(255) NOT NULL,
  `customh2` varchar(255) NOT NULL,
  `customh3` varchar(255) NOT NULL,
  `customi` varchar(255) NOT NULL,
  `customi1` varchar(255) NOT NULL,
  `customi2` varchar(255) NOT NULL,
  `customi3` varchar(255) NOT NULL,
  `customj` varchar(255) NOT NULL,
  `customj1` varchar(255) NOT NULL,
  `customj2` varchar(255) NOT NULL,
  `customj3` varchar(255) NOT NULL,
  `bedrooms` varchar(255) NOT NULL default '',
  `bathrooms` varchar(255) NOT NULL default '',
  `floors` int(11) NOT NULL default '0',
  `persons` int(2) NOT NULL default '0',
  `pets` char(3) NOT NULL default '',
  `smoking` char(3) NOT NULL default '',
  `hottubjacuzzi` char(3) NOT NULL default '',
  `beach` varchar(255) NOT NULL default '',
  `housearea` varchar(255) NOT NULL default '0',
  `shortdescription` text NOT NULL,
  `shortdescription1` text NOT NULL,
  `shortdescription2` text NOT NULL,
  `shortdescription3` text NOT NULL,
  `description` text NOT NULL,
  `description1` text NOT NULL,
  `description2` text NOT NULL,
  `description3` text NOT NULL,
  `terms` text NOT NULL,
  `terms1` text NOT NULL,
  `terms2` text NOT NULL,
  `terms3` text NOT NULL,
  `url` varchar(255) NOT NULL default '0',
  `noview` int(11) NOT NULL default '0',
  `active` tinyint(1) NOT NULL default '0',
  `date_add` date NOT NULL default '0000-00-00',
  `date_modify` date NOT NULL default '0000-00-00',
  `sitetitle` varchar(255) NOT NULL default '',
  `sitetitle1` varchar(255) NOT NULL default '',
  `sitetitle2` varchar(255) NOT NULL default '',
  `sitetitle3` varchar(255) NOT NULL default '',
  `metadescription` text NOT NULL,
  `metadescription1` text NOT NULL,
  `metadescription2` text NOT NULL,
  `metadescription3` text NOT NULL,
  `metakeywords` text NOT NULL,
  `metakeywords1` text NOT NULL,
  `metakeywords2` text NOT NULL,
  `metakeywords3` text NOT NULL,
  `lastcalendarupdate` date NOT NULL default '0000-00-00',
  UNIQUE KEY `id` (`id`),
  KEY `admin` (`admin`),
  KEY `admin_2` (`admin`),
  KEY `country` (`country`),
  KEY `province` (`province`),
  KEY `city` (`city`),
  KEY `type` (`type`)
) ENGINE=MyISAM  DEFAULT CHARSET=latin1;

--
-- Dumping data for table `listing`
--

INSERT INTO `listing` (`id`, `admin`, `country`, `province`, `city`, `type`, `title`, `title1`, `title2`, `title3`, `defaultrate`, `price`, `price1`, `price2`, `specialprice`, `pricemesg`, `pricemesg1`, `pricemesg2`, `pricemesg3`, `address`, `postal`, `latitude`, `longitude`, `customa`, `customa1`, `customa2`, `customa3`, `customb`, `customb1`, `customb2`, `customb3`, `customc`, `customc1`, `customc2`, `customc3`, `customd`, `customd1`, `customd2`, `customd3`, `custome`, `custome1`, `custome2`, `custome3`, `customf`, `customf1`, `customf2`, `customf3`, `customg`, `customg1`, `customg2`, `customg3`, `customh`, `customh1`, `customh2`, `customh3`, `customi`, `customi1`, `customi2`, `customi3`, `customj`, `customj1`, `customj2`, `customj3`, `bedrooms`, `bathrooms`, `floors`, `persons`, `pets`, `smoking`, `hottubjacuzzi`, `beach`, `housearea`, `shortdescription`, `shortdescription1`, `shortdescription2`, `shortdescription3`, `description`, `description1`, `description2`, `description3`, `terms`, `terms1`, `terms2`, `terms3`, `url`, `noview`, `active`, `date_add`, `date_modify`, `sitetitle`, `sitetitle1`, `sitetitle2`, `sitetitle3`, `metadescription`, `metadescription1`, `metadescription2`, `metadescription3`, `metakeywords`, `metakeywords1`, `metakeywords2`, `metakeywords3`, `lastcalendarupdate`) VALUES(1, 1, 2, 3, 3, 1, 'Lorem ipsum dolor sit amet', '', '', '', 15.00, 100.00, 450.00, 1500.00, 0.00, '', '', '', '', 'Ut pharetra lectus sed enim', '705100', '32.76902', '-96.81221', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '3', '2', 2, 1, '0', '0', '0', '200', '700', 'Donec scelerisque convallis ante. Phasellus et dui et mi scelerisque fermentum. Integer porta semper nisi. Aliquam erat volutpat. Integer euismod elit nec elit. Cum sociis natoque penatibus et magnis dis parturient montes, nascetur ridiculus mus. ', '', '', '', '<span style="font-weight: bold;">Donec scelerisque convallis ante. Phasellus et dui et mi scelerisque fermentum. Integer porta semper nisi. Aliquam erat volutpat. Integer euismod elit nec elit. Cum sociis natoque penatibus et magnis dis parturient montes, nascetur ridiculus mus. Curabitur magna mi, gravida sit amet, euismod vitae, malesuada at, elit. Maecenas vel tellus sed elit fermentum venenatis. Pellentesque sit amet dui. Donec convallis, ante nec hendrerit fermentum, urna neque lobortis justo, ac sodales mi mauris id mauris. Sed pulvinar, purus in auctor semper, risus orci ultrices dolor, sed molestie libero lacus eget turpis. Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. In sodales. Praesent id justo a diam sagittis laoreet. Fusce euismod. Maecenas fermentum luctus augue. Donec laoreet rhoncus velit. Cras mollis. Integer faucibus, augue id egestas fermentum, enim lorem ullamcorper ipsum, in iaculis nibh lectus non dui. Lorem ipsum dolor sit amet, consectetuer adipiscing elit.</span>', '', '', '', '<span style="font-weight: bold;">Donec scelerisque convallis ante. Phasellus et dui et mi scelerisque fermentum. Integer porta semper nisi. Aliquam erat volutpat. Integer euismod elit nec elit. Cum sociis natoque penatibus et magnis dis parturient montes, nascetur ridiculus mus. Curabitur magna mi, gravida sit amet, euismod vitae, malesuada at, elit. Maecenas vel tellus sed elit fermentum venenatis. Pellentesque sit amet dui. Donec convallis, ante nec hendrerit fermentum, urna neque lobortis justo, ac sodales mi mauris id mauris. Sed pulvinar, purus in auctor semper, risus orci ultrices dolor, sed molestie libero lacus eget turpis. Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. In sodales. Praesent id justo a diam sagittis laoreet. Fusce euismod. Maecenas fermentum luctus augue. Donec laoreet rhoncus velit. Cras mollis. Integer faucibus, augue id egestas fermentum, enim lorem ullamcorper ipsum, in iaculis nibh lectus non dui. Lorem ipsum dolor sit amet, consectetuer adipiscing elit.</span>', '', '', '', 'www.google.com', 64, 1, '0000-00-00', '2010-01-21', 'Donec scelerisque convallis ante.', '', '', '', 'Donec scelerisque convallis ante.', '', '', '', 'Donec scelerisque convallis ante.', '', '', '', '2009-12-02');



--
-- Table structure for table `listingfeatures`
--

CREATE TABLE IF NOT EXISTS `listingfeatures` (
  `id` int(11) NOT NULL auto_increment,
  `listingid` int(11) NOT NULL default '0',
  `featuresid` int(11) NOT NULL default '0',
  UNIQUE KEY `id` (`id`),
  KEY `listingid` (`listingid`),
  KEY `featuresid` (`featuresid`)
) ENGINE=MyISAM  DEFAULT CHARSET=latin1;

--
-- Dumping data for table `listingfeatures`
--

INSERT INTO `listingfeatures` (`id`, `listingid`, `featuresid`) VALUES(1, 1, 1);
INSERT INTO `listingfeatures` (`id`, `listingid`, `featuresid`) VALUES(2, 1, 11);
INSERT INTO `listingfeatures` (`id`, `listingid`, `featuresid`) VALUES(3, 1, 2);
INSERT INTO `listingfeatures` (`id`, `listingid`, `featuresid`) VALUES(4, 1, 12);
INSERT INTO `listingfeatures` (`id`, `listingid`, `featuresid`) VALUES(5, 1, 3);
INSERT INTO `listingfeatures` (`id`, `listingid`, `featuresid`) VALUES(6, 1, 13);
INSERT INTO `listingfeatures` (`id`, `listingid`, `featuresid`) VALUES(7, 1, 4);
INSERT INTO `listingfeatures` (`id`, `listingid`, `featuresid`) VALUES(8, 1, 14);
INSERT INTO `listingfeatures` (`id`, `listingid`, `featuresid`) VALUES(9, 1, 5);
INSERT INTO `listingfeatures` (`id`, `listingid`, `featuresid`) VALUES(10, 1, 15);
INSERT INTO `listingfeatures` (`id`, `listingid`, `featuresid`) VALUES(11, 1, 6);
INSERT INTO `listingfeatures` (`id`, `listingid`, `featuresid`) VALUES(12, 1, 16);
INSERT INTO `listingfeatures` (`id`, `listingid`, `featuresid`) VALUES(13, 1, 7);
INSERT INTO `listingfeatures` (`id`, `listingid`, `featuresid`) VALUES(14, 1, 17);
INSERT INTO `listingfeatures` (`id`, `listingid`, `featuresid`) VALUES(15, 1, 8);
INSERT INTO `listingfeatures` (`id`, `listingid`, `featuresid`) VALUES(16, 1, 18);
INSERT INTO `listingfeatures` (`id`, `listingid`, `featuresid`) VALUES(17, 1, 9);
INSERT INTO `listingfeatures` (`id`, `listingid`, `featuresid`) VALUES(18, 1, 19);
INSERT INTO `listingfeatures` (`id`, `listingid`, `featuresid`) VALUES(19, 1, 10);



--
-- Table structure for table `logging`
--

CREATE TABLE IF NOT EXISTS `logging` (
  `id` int(11) NOT NULL auto_increment,
  `admin` varchar(255) NOT NULL default '0',
  `action` text NOT NULL,
  `sql` text NOT NULL,
  `ctime` timestamp NOT NULL default CURRENT_TIMESTAMP on update CURRENT_TIMESTAMP,
  UNIQUE KEY `id` (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=latin1;



--
-- Table structure for table `members`
--

CREATE TABLE IF NOT EXISTS `members` (
  `id` int(11) NOT NULL auto_increment,
  `name` varchar(255) NOT NULL default '',
  `email` varchar(255) NOT NULL default '0',
  `unic_id` varchar(255) NOT NULL default '',
  `active` tinyint(1) NOT NULL default '0',
  `date_add` date NOT NULL default '0000-00-00',
  UNIQUE KEY `id` (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

--
-- Dumping data for table `members`
--




--
-- Table structure for table `messages`
--

CREATE TABLE IF NOT EXISTS `messages` (
  `id` int(11) NOT NULL auto_increment,
  `listingid` int(11) NOT NULL default '0',
  `name` varchar(40) NOT NULL default '',
  `email` varchar(40) NOT NULL default '',
  `phone` varchar(255) NOT NULL default '',
  `message` text,
  `date_add` date NOT NULL default '0000-00-00',
  UNIQUE KEY `id` (`id`),
  KEY `listingid` (`listingid`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

--
-- Dumping data for table `messages`
--




--
-- Table structure for table `news`
--

CREATE TABLE IF NOT EXISTS `news` (
  `id` int(11) NOT NULL auto_increment,
  `title` varchar(255) NOT NULL default '',
  `title1` varchar(255) NOT NULL default '',
  `title2` varchar(255) NOT NULL default '',
  `title3` varchar(255) NOT NULL default '',
  `content` text NOT NULL,
  `content1` text NOT NULL,
  `content2` text NOT NULL,
  `content3` text NOT NULL,
  `date` date NOT NULL default '0000-00-00',
  UNIQUE KEY `id` (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=latin1;

--
-- Dumping data for table `news`
--

INSERT INTO `news` (`id`, `title`, `title1`, `title2`, `title3`, `content`, `content1`, `content2`, `content3`, `date`) VALUES(1, 'New in version 5.0', '', '', '', '<font color="red" style="font-size: 16px; font-weight: bold;">New in version 5.0</font> <strong><br /><br />- seo settings (you can choose and customize now the sitetitle, metakeywords and metadescription for every page)</strong><br /><strong>- payment system for bookings</strong><br /><strong>- select the add/modify vacation form fields order</strong><br /><strong>- add up to 10 custom fields for vacation form</strong><br /><strong>- use lightbox for gallery</strong>', '', '', '', '2010-02-03');



--
-- Table structure for table `orders`
--

CREATE TABLE IF NOT EXISTS `orders` (
  `id` int(10) unsigned NOT NULL auto_increment,
  `receiver_email` varchar(60) default NULL,
  `item_name` varchar(100) default NULL,
  `item_number` varchar(10) default NULL,
  `quantity` varchar(6) default NULL,
  `payment_status` varchar(10) default NULL,
  `pending_reason` varchar(10) default NULL,
  `payment_date` varchar(50) default NULL,
  `mc_gross` varchar(20) default NULL,
  `mc_fee` varchar(20) default NULL,
  `tax` varchar(20) default NULL,
  `mc_currency` char(3) default NULL,
  `txn_id` varchar(20) default NULL,
  `txn_type` varchar(10) default NULL,
  `first_name` varchar(30) default NULL,
  `last_name` varchar(40) default NULL,
  `address_street` varchar(50) default NULL,
  `address_city` varchar(30) default NULL,
  `address_state` varchar(30) default NULL,
  `address_zip` varchar(20) default NULL,
  `address_country` varchar(30) default NULL,
  `address_status` varchar(10) default NULL,
  `payer_email` varchar(60) default NULL,
  `payer_status` varchar(10) default NULL,
  `payment_type` varchar(10) default NULL,
  `notify_version` varchar(10) default NULL,
  `verify_sign` varchar(10) default NULL,
  `referrer_id` varchar(10) default NULL,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

--
-- Dumping data for table `orders`
--




--
-- Table structure for table `payment`
--

CREATE TABLE IF NOT EXISTS `payment` (
  `id` int(11) NOT NULL auto_increment,
  `name` varchar(255) NOT NULL default '',
  `business` varchar(255) NOT NULL default '',
  `item_name` varchar(255) NOT NULL default '',
  `currency_code` varchar(255) NOT NULL default '',
  `active` tinyint(1) NOT NULL default '0',
  UNIQUE KEY `id` (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=latin1;

--
-- Dumping data for table `payment`
--

INSERT INTO `payment` (`id`, `name`, `business`, `item_name`, `currency_code`, `active`) VALUES(1, 'Paypal', 'sales@phpvacationrental.com', 'signup on phpvacationrental.com', 'USD', 1);
INSERT INTO `payment` (`id`, `name`, `business`, `item_name`, `currency_code`, `active`) VALUES(2, 'AuthorizeNET', '', '', '', 1);
INSERT INTO `payment` (`id`, `name`, `business`, `item_name`, `currency_code`, `active`) VALUES(3, '2Checkout', '', '', '', 1);



--
-- Table structure for table `paymentadmin`
--

CREATE TABLE IF NOT EXISTS `paymentadmin` (
  `id` int(11) NOT NULL auto_increment,
  `admin` int(11) NOT NULL default '0',
  `paymenttypename` varchar(255) NOT NULL,
  `business` varchar(255) NOT NULL default '',
  `item_name` varchar(255) NOT NULL default '',
  `currency_code` varchar(255) NOT NULL default '',
  `procent` int(3) NOT NULL default '0',
  `sumtake` float(11,2) NOT NULL default '0.00',
  `active` tinyint(1) NOT NULL default '0',
  UNIQUE KEY `id` (`id`)
) ENGINE=InnoDB  DEFAULT CHARSET=latin1 ROW_FORMAT=COMPACT;





--
-- Table structure for table `paymenthistory`
--

CREATE TABLE IF NOT EXISTS `paymenthistory` (
  `id` int(11) NOT NULL auto_increment,
  `adminid` int(11) NOT NULL default '0',
  `amout` float(11,2) NOT NULL default '0.00',
  `message` text,
  `date_add` varchar(30) NOT NULL default '',
  `success` smallint(1) NOT NULL default '0',
  UNIQUE KEY `id` (`id`),
  KEY `adminid` (`adminid`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

--
-- Dumping data for table `paymenthistory`
--




--
-- Table structure for table `province`
--

CREATE TABLE IF NOT EXISTS `province` (
  `id` int(11) NOT NULL auto_increment,
  `countryid` int(11) NOT NULL default '0',
  `name` varchar(255) NOT NULL default '',
  `name1` varchar(255) NOT NULL default '',
  `name2` varchar(255) NOT NULL default '',
  `name3` varchar(255) NOT NULL default '',
  `description` text NOT NULL,
  `description1` text NOT NULL,
  `description2` text NOT NULL,
  `description3` text NOT NULL,
  UNIQUE KEY `id` (`id`),
  KEY `countryid` (`countryid`)
) ENGINE=MyISAM  DEFAULT CHARSET=latin1 PACK_KEYS=1;

--
-- Dumping data for table `province`
--

INSERT INTO `province` (`id`, `countryid`, `name`, `name1`, `name2`, `name3`, `description`, `description1`, `description2`, `description3`) VALUES(1, 1, 'Iasi', '', '', '', '', '', '', '');
INSERT INTO `province` (`id`, `countryid`, `name`, `name1`, `name2`, `name3`, `description`, `description1`, `description2`, `description3`) VALUES(2, 1, 'Bucuresti', '', '', '', '', '', '', '');
INSERT INTO `province` (`id`, `countryid`, `name`, `name1`, `name2`, `name3`, `description`, `description1`, `description2`, `description3`) VALUES(3, 2, 'Berry', '', '', '', '', '', '', '');



--
-- Table structure for table `rates`
--

CREATE TABLE IF NOT EXISTS `rates` (
  `id` int(11) NOT NULL auto_increment,
  `listingid` int(11) NOT NULL default '0',
  `currencyid` int(11) NOT NULL default '0',
  `date_start` date NOT NULL default '0000-00-00',
  `date_ends` date NOT NULL default '0000-00-00',
  `nightly` float(11,2) NOT NULL default '0.00',
  `weekly` float(11,2) NOT NULL default '0.00',
  `monthly` float(11,2) NOT NULL default '0.00',
  UNIQUE KEY `id` (`id`),
  KEY `listingid` (`listingid`),
  KEY `currencyid` (`currencyid`)
) ENGINE=MyISAM  DEFAULT CHARSET=latin1;

--
-- Dumping data for table `rates`
--

INSERT INTO `rates` (`id`, `listingid`, `currencyid`, `date_start`, `date_ends`, `nightly`, `weekly`, `monthly`) VALUES(1, 1, 1, '2009-10-01', '2012-04-01', 100.00, 450.00, 1500.00);



--
-- Table structure for table `reviews`
--

CREATE TABLE IF NOT EXISTS `reviews` (
  `id` int(11) NOT NULL auto_increment,
  `listingid` int(11) NOT NULL default '0',
  `name` varchar(255) default NULL,
  `email` varchar(255) default NULL,
  `rating` int(2) NOT NULL default '0',
  `title` varchar(255) default NULL,
  `review` text,
  `unic_id` varchar(32) NOT NULL default '',
  `active` tinyint(1) NOT NULL default '0',
  `date_add` date NOT NULL default '0000-00-00',
  `date_confirm` date NOT NULL default '0000-00-00',
  `ip` varchar(32) NOT NULL default '',
  UNIQUE KEY `id` (`id`),
  KEY `listingid` (`listingid`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

--
-- Dumping data for table `reviews`
--




--
-- Table structure for table `rights`
--

CREATE TABLE IF NOT EXISTS `rights` (
  `id` int(11) NOT NULL auto_increment,
  `name` varchar(100) NOT NULL default '',
  `settings` tinyint(1) NOT NULL default '0',
  `template` tinyint(1) NOT NULL default '0',
  `admin_add` smallint(1) NOT NULL default '0',
  `admin_view` smallint(1) NOT NULL default '0',
  `admin_delete` smallint(1) NOT NULL default '0',
  `admin_edit` smallint(1) NOT NULL default '0',
  `rights_add` smallint(1) NOT NULL default '0',
  `rights_view` smallint(1) NOT NULL default '0',
  `rights_delete` smallint(1) NOT NULL default '0',
  `rights_edit` smallint(1) NOT NULL default '0',
  `province_add` smallint(1) NOT NULL default '0',
  `province_view` smallint(1) NOT NULL default '0',
  `province_delete` smallint(1) NOT NULL default '0',
  `province_edit` smallint(1) NOT NULL default '0',
  `type_add` smallint(1) NOT NULL default '0',
  `type_view` smallint(1) NOT NULL default '0',
  `type_delete` smallint(1) NOT NULL default '0',
  `type_edit` smallint(1) NOT NULL default '0',
  `listing_add` smallint(1) NOT NULL default '0',
  `listing_view` smallint(1) NOT NULL default '0',
  `listing_delete` smallint(1) NOT NULL default '0',
  `listing_edit` smallint(1) NOT NULL default '0',
  `view_all_listing` smallint(1) NOT NULL default '0',
  `news_add` smallint(1) NOT NULL default '0',
  `news_view` smallint(1) NOT NULL default '0',
  `news_delete` smallint(1) NOT NULL default '0',
  `news_edit` smallint(1) NOT NULL default '0',
  `customlinks_add` smallint(1) NOT NULL default '0',
  `customlinks_view` smallint(1) NOT NULL default '0',
  `customlinks_delete` smallint(1) NOT NULL default '0',
  `customlinks_edit` smallint(1) NOT NULL default '0',
  `faq_add` smallint(1) NOT NULL default '0',
  `faq_view` smallint(1) NOT NULL default '0',
  `faq_delete` smallint(1) NOT NULL default '0',
  `faq_edit` smallint(1) NOT NULL default '0',
  `features_add` smallint(1) NOT NULL default '0',
  `features_view` smallint(1) NOT NULL default '0',
  `features_delete` smallint(1) NOT NULL default '0',
  `features_edit` smallint(1) NOT NULL default '0',
  `members_add` smallint(1) NOT NULL default '0',
  `members_view` smallint(1) NOT NULL default '0',
  `members_delete` smallint(1) NOT NULL default '0',
  `members_edit` smallint(1) NOT NULL default '0',
  `sponsored_add` smallint(1) NOT NULL default '0',
  `sponsored_view` smallint(1) NOT NULL default '0',
  `sponsored_delete` smallint(1) NOT NULL default '0',
  `sponsored_edit` smallint(1) NOT NULL default '0',
  `sendemail` smallint(1) NOT NULL default '0',
  `homepage` smallint(1) NOT NULL default '0',
  `sendemailadmin` smallint(1) NOT NULL default '0',
  `adprofiles_add` smallint(1) NOT NULL default '0',
  `adprofiles_view` smallint(1) NOT NULL default '0',
  `adprofiles_delete` smallint(1) NOT NULL default '0',
  `adprofiles_edit` smallint(1) NOT NULL default '0',
  `payment` tinyint(1) NOT NULL default '0',
  `orders_add` smallint(1) NOT NULL default '0',
  `orders_view` smallint(1) NOT NULL default '0',
  `orders_delete` smallint(1) NOT NULL default '0',
  `orders_edit` smallint(1) NOT NULL default '0',
  `summary` smallint(1) NOT NULL default '0',
  `city_add` smallint(1) NOT NULL default '0',
  `city_view` smallint(1) NOT NULL default '0',
  `city_delete` smallint(1) NOT NULL default '0',
  `city_edit` smallint(1) NOT NULL default '0',
  `backup` smallint(1) NOT NULL default '0',
  `tpl` smallint(1) NOT NULL default '0',
  `language` smallint(1) NOT NULL default '0',
  `country_add` smallint(1) NOT NULL default '0',
  `country_view` smallint(1) NOT NULL default '0',
  `country_delete` smallint(1) NOT NULL default '0',
  `country_edit` smallint(1) NOT NULL default '0',
  `currency_add` smallint(1) NOT NULL default '0',
  `currency_view` smallint(1) NOT NULL default '0',
  `currency_delete` smallint(1) NOT NULL default '0',
  `currency_edit` smallint(1) NOT NULL default '0',
  `ips_add` smallint(1) NOT NULL default '0',
  `ips_view` smallint(1) NOT NULL default '0',
  `ips_delete` smallint(1) NOT NULL default '0',
  `ips_edit` smallint(1) NOT NULL default '0',
  `logging_add` smallint(1) NOT NULL default '0',
  `logging_view` smallint(1) NOT NULL default '0',
  `logging_delete` smallint(1) NOT NULL default '0',
  `logging_edit` smallint(1) NOT NULL default '0',
  `bannersettings` smallint(1) NOT NULL default '0',
  `banner_add` smallint(1) NOT NULL default '0',
  `banner_view` smallint(1) NOT NULL default '0',
  `banner_delete` smallint(1) NOT NULL default '0',
  `banner_edit` smallint(1) NOT NULL default '0',
  `fixtools` smallint(1) NOT NULL default '0',
  `paymenthistory_add` smallint(1) NOT NULL default '0',
  `paymenthistory_view` smallint(1) NOT NULL default '0',
  `paymenthistory_delete` smallint(1) NOT NULL default '0',
  `paymenthistory_edit` smallint(1) NOT NULL default '0',
  `statssettings` smallint(1) NOT NULL default '0',
  `stats` smallint(1) NOT NULL default '0',
  `homepageowner` smallint(1) NOT NULL default '0',
  `helpowner` smallint(1) NOT NULL default '0',
  `import` smallint(1) NOT NULL default '0',
  `importsettings` smallint(1) NOT NULL default '0',
  `export` smallint(1) NOT NULL default '0',
  `importrates` smallint(1) NOT NULL default '0',
  `exportrates` smallint(1) NOT NULL default '0',
  `importavailability` smallint(1) NOT NULL default '0',
  `exportavailability` smallint(1) NOT NULL default '0',
  `importimportsettings` tinyint(1) NOT NULL,
  `exportimportsettings` tinyint(1) NOT NULL,
  `fieldstranslate` tinyint(1) NOT NULL,
  `fieldsorder` tinyint(1) NOT NULL,
  `seosettings` tinyint(1) NOT NULL,
  `paymentadmin_add` smallint(1) NOT NULL,
  `paymentadmin_view` smallint(1) NOT NULL,
  `paymentadmin_delete` smallint(1) NOT NULL,
  `paymentadmin_edit` smallint(1) NOT NULL,
  UNIQUE KEY `id` (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=latin1;

--
-- Dumping data for table `rights`
--

INSERT INTO `rights` (`id`, `name`, `settings`, `template`, `admin_add`, `admin_view`, `admin_delete`, `admin_edit`, `rights_add`, `rights_view`, `rights_delete`, `rights_edit`, `province_add`, `province_view`, `province_delete`, `province_edit`, `type_add`, `type_view`, `type_delete`, `type_edit`, `listing_add`, `listing_view`, `listing_delete`, `listing_edit`, `view_all_listing`, `news_add`, `news_view`, `news_delete`, `news_edit`, `customlinks_add`, `customlinks_view`, `customlinks_delete`, `customlinks_edit`, `faq_add`, `faq_view`, `faq_delete`, `faq_edit`, `features_add`, `features_view`, `features_delete`, `features_edit`, `members_add`, `members_view`, `members_delete`, `members_edit`, `sponsored_add`, `sponsored_view`, `sponsored_delete`, `sponsored_edit`, `sendemail`, `homepage`, `sendemailadmin`, `adprofiles_add`, `adprofiles_view`, `adprofiles_delete`, `adprofiles_edit`, `payment`, `orders_add`, `orders_view`, `orders_delete`, `orders_edit`, `summary`, `city_add`, `city_view`, `city_delete`, `city_edit`, `backup`, `tpl`, `language`, `country_add`, `country_view`, `country_delete`, `country_edit`, `currency_add`, `currency_view`, `currency_delete`, `currency_edit`, `ips_add`, `ips_view`, `ips_delete`, `ips_edit`, `logging_add`, `logging_view`, `logging_delete`, `logging_edit`, `bannersettings`, `banner_add`, `banner_view`, `banner_delete`, `banner_edit`, `fixtools`, `paymenthistory_add`, `paymenthistory_view`, `paymenthistory_delete`, `paymenthistory_edit`, `statssettings`, `stats`, `homepageowner`, `helpowner`, `import`, `importsettings`, `export`, `importrates`, `exportrates`, `importavailability`, `exportavailability`, `importimportsettings`, `exportimportsettings`, `fieldstranslate`, `fieldsorder`, `seosettings`, `paymentadmin_add`, `paymentadmin_view`, `paymentadmin_delete`, `paymentadmin_edit`) VALUES(1, 'superadmin', 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1);
INSERT INTO `rights` (`id`, `name`, `settings`, `template`, `admin_add`, `admin_view`, `admin_delete`, `admin_edit`, `rights_add`, `rights_view`, `rights_delete`, `rights_edit`, `province_add`, `province_view`, `province_delete`, `province_edit`, `type_add`, `type_view`, `type_delete`, `type_edit`, `listing_add`, `listing_view`, `listing_delete`, `listing_edit`, `view_all_listing`, `news_add`, `news_view`, `news_delete`, `news_edit`, `customlinks_add`, `customlinks_view`, `customlinks_delete`, `customlinks_edit`, `faq_add`, `faq_view`, `faq_delete`, `faq_edit`, `features_add`, `features_view`, `features_delete`, `features_edit`, `members_add`, `members_view`, `members_delete`, `members_edit`, `sponsored_add`, `sponsored_view`, `sponsored_delete`, `sponsored_edit`, `sendemail`, `homepage`, `sendemailadmin`, `adprofiles_add`, `adprofiles_view`, `adprofiles_delete`, `adprofiles_edit`, `payment`, `orders_add`, `orders_view`, `orders_delete`, `orders_edit`, `summary`, `city_add`, `city_view`, `city_delete`, `city_edit`, `backup`, `tpl`, `language`, `country_add`, `country_view`, `country_delete`, `country_edit`, `currency_add`, `currency_view`, `currency_delete`, `currency_edit`, `ips_add`, `ips_view`, `ips_delete`, `ips_edit`, `logging_add`, `logging_view`, `logging_delete`, `logging_edit`, `bannersettings`, `banner_add`, `banner_view`, `banner_delete`, `banner_edit`, `fixtools`, `paymenthistory_add`, `paymenthistory_view`, `paymenthistory_delete`, `paymenthistory_edit`, `statssettings`, `stats`, `homepageowner`, `helpowner`, `import`, `importsettings`, `export`, `importrates`, `exportrates`, `importavailability`, `exportavailability`, `importimportsettings`, `exportimportsettings`, `fieldstranslate`, `fieldsorder`, `seosettings`, `paymentadmin_add`, `paymentadmin_view`, `paymentadmin_delete`, `paymentadmin_edit`) VALUES(2, 'agent', 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 1, 1, 1, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 1, 0, 1, 1, 1, 1, 1, 0, 0, 0, 0, 0, 1, 1, 1, 1);



--
-- Table structure for table `seosettings`
--

CREATE TABLE IF NOT EXISTS `seosettings` (
  `id` int(11) NOT NULL auto_increment,
  `field` varchar(255) NOT NULL default '',
  `name` varchar(255) NOT NULL default '',
  UNIQUE KEY `id` (`id`)
) ENGINE=InnoDB  DEFAULT CHARSET=latin1;

--
-- Dumping data for table `seosettings`
--

INSERT INTO `seosettings` (`id`, `field`, `name`) VALUES(1, 'homepage_sitetitle', 'test');
INSERT INTO `seosettings` (`id`, `field`, `name`) VALUES(2, 'homepage_metadescription', 'test');
INSERT INTO `seosettings` (`id`, `field`, `name`) VALUES(3, 'homepage_metakeywords', 'test');
INSERT INTO `seosettings` (`id`, `field`, `name`) VALUES(4, 'signup_sitetitle', 'signup');
INSERT INTO `seosettings` (`id`, `field`, `name`) VALUES(5, 'signup_metadescription', 'signup');
INSERT INTO `seosettings` (`id`, `field`, `name`) VALUES(6, 'signup_metakeywords', 'signup');
INSERT INTO `seosettings` (`id`, `field`, `name`) VALUES(7, 'newsfront_sitetitle', 'news page');
INSERT INTO `seosettings` (`id`, `field`, `name`) VALUES(8, 'newsfront_metadescription', 'news page');
INSERT INTO `seosettings` (`id`, `field`, `name`) VALUES(9, 'newsfront_metakeywords', 'news page');
INSERT INTO `seosettings` (`id`, `field`, `name`) VALUES(10, 'faqfront_sitetitle', 'FAQ');
INSERT INTO `seosettings` (`id`, `field`, `name`) VALUES(11, 'faqfront_metadescription', 'FAQ');
INSERT INTO `seosettings` (`id`, `field`, `name`) VALUES(12, 'faqfront_metakeywords', 'FAQ');
INSERT INTO `seosettings` (`id`, `field`, `name`) VALUES(13, 'contact_sitetitle', 'contact the owner |name|');
INSERT INTO `seosettings` (`id`, `field`, `name`) VALUES(14, 'contact_metadescription', 'contact the owner |name|');
INSERT INTO `seosettings` (`id`, `field`, `name`) VALUES(15, 'contact_metakeywords', 'contact the owner |name|');
INSERT INTO `seosettings` (`id`, `field`, `name`) VALUES(16, 'search_sitetitle', '|type| |country| |province| |city|');
INSERT INTO `seosettings` (`id`, `field`, `name`) VALUES(17, 'search_metadescription', '|type| |country| |province| |city|');
INSERT INTO `seosettings` (`id`, `field`, `name`) VALUES(18, 'search_metakeywords', '|type| |country| |province| |city|');
INSERT INTO `seosettings` (`id`, `field`, `name`) VALUES(19, 'view_sitetitle', 'view all category |name|');
INSERT INTO `seosettings` (`id`, `field`, `name`) VALUES(20, 'view_metadescription', 'view all category |name|');
INSERT INTO `seosettings` (`id`, `field`, `name`) VALUES(21, 'view_metakeywords', 'view all category |name|');
INSERT INTO `seosettings` (`id`, `field`, `name`) VALUES(22, 'advsearch_sitetitle', '');
INSERT INTO `seosettings` (`id`, `field`, `name`) VALUES(23, 'advsearch_metadescription', '');
INSERT INTO `seosettings` (`id`, `field`, `name`) VALUES(24, 'advsearch_metakeywords', '');
INSERT INTO `seosettings` (`id`, `field`, `name`) VALUES(25, 'contactus_sitetitle', '');
INSERT INTO `seosettings` (`id`, `field`, `name`) VALUES(26, 'contactus_metadescription', '');
INSERT INTO `seosettings` (`id`, `field`, `name`) VALUES(27, 'contactus_metakeywords', '');
INSERT INTO `seosettings` (`id`, `field`, `name`) VALUES(28, 'paymentfront_sitetitle', '');
INSERT INTO `seosettings` (`id`, `field`, `name`) VALUES(29, 'paymentfront_metadescription', '');
INSERT INTO `seosettings` (`id`, `field`, `name`) VALUES(30, 'paymentfront_metakeywords', '');
INSERT INTO `seosettings` (`id`, `field`, `name`) VALUES(31, 'send_sitetitle', '');
INSERT INTO `seosettings` (`id`, `field`, `name`) VALUES(32, 'send_metadescription', '');
INSERT INTO `seosettings` (`id`, `field`, `name`) VALUES(33, 'send_metakeywords', '');
INSERT INTO `seosettings` (`id`, `field`, `name`) VALUES(34, 'listing_information_sitetitle', '');
INSERT INTO `seosettings` (`id`, `field`, `name`) VALUES(35, 'listing_information_metadescription', '');
INSERT INTO `seosettings` (`id`, `field`, `name`) VALUES(36, 'listing_information_metakeywords', '');
INSERT INTO `seosettings` (`id`, `field`, `name`) VALUES(37, 'details_sitetitle', '');
INSERT INTO `seosettings` (`id`, `field`, `name`) VALUES(38, 'details_metadescription', '');
INSERT INTO `seosettings` (`id`, `field`, `name`) VALUES(39, 'details_metakeywords', '');
INSERT INTO `seosettings` (`id`, `field`, `name`) VALUES(40, 'mylisting_sitetitle', '');
INSERT INTO `seosettings` (`id`, `field`, `name`) VALUES(41, 'mylisting_metadescription', '');
INSERT INTO `seosettings` (`id`, `field`, `name`) VALUES(42, 'mylisting_metakeywords', '');



--
-- Table structure for table `sessions`
--

CREATE TABLE IF NOT EXISTS `sessions` (
  `SessionID` varchar(255) NOT NULL default '',
  `LastUpdated` datetime NOT NULL default '0000-00-00 00:00:00',
  `DataValue` text,
  `username` varchar(255) NOT NULL default '',
  `location` varchar(255) NOT NULL default '',
  `ip` varchar(255) NOT NULL default '',
  PRIMARY KEY  (`SessionID`),
  KEY `LastUpdated` (`LastUpdated`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;



--
-- Table structure for table `settings`
--

CREATE TABLE IF NOT EXISTS `settings` (
  `id` int(11) NOT NULL auto_increment,
  `nrpageuser` int(11) NOT NULL default '0',
  `nrpageadmin` int(11) NOT NULL default '0',
  `currency` varchar(50) NOT NULL default '',
  `nolisting` int(11) NOT NULL default '0',
  `nopictures` int(11) NOT NULL default '0',
  `rights_signupuser` int(11) NOT NULL default '0',
  `titlesite` varchar(255) NOT NULL default '',
  `titlesite1` varchar(255) NOT NULL default '',
  `titlesite2` varchar(255) NOT NULL default '',
  `titlesite3` varchar(255) NOT NULL default '',
  `description` text NOT NULL,
  `description1` text NOT NULL,
  `description2` text NOT NULL,
  `description3` text NOT NULL,
  `keywords` text NOT NULL,
  `keywords1` text NOT NULL,
  `keywords2` text NOT NULL,
  `keywords3` text NOT NULL,
  `header` text NOT NULL,
  `header1` text NOT NULL,
  `header2` text NOT NULL,
  `header3` text NOT NULL,
  `footer` text NOT NULL,
  `footer1` text NOT NULL,
  `footer2` text NOT NULL,
  `footer3` text NOT NULL,
  `picture_width` int(11) NOT NULL default '0',
  `picture_height` int(11) NOT NULL default '0',
  `thumbnail_width` int(11) NOT NULL default '0',
  `thumbnail_height` int(11) NOT NULL default '0',
  `picture` varchar(40) NOT NULL default '',
  `thumbnail` varchar(40) NOT NULL default '',
  `logo` varchar(40) NOT NULL default '',
  `bigimage` varchar(40) NOT NULL default '',
  `language` varchar(255) NOT NULL default '',
  `charsetlang` varchar(255) NOT NULL default 'iso-8859-1',
  `language1` varchar(255) NOT NULL default '',
  `charsetlang1` varchar(255) NOT NULL default 'iso-8859-1',
  `language2` varchar(255) NOT NULL default '',
  `charsetlang2` varchar(255) NOT NULL default 'iso-8859-1',
  `language3` varchar(255) NOT NULL default '',
  `charsetlang3` varchar(255) NOT NULL default 'iso-8859-1',
  `languageadmin` varchar(255) NOT NULL default '',
  `wysiwyg` smallint(1) NOT NULL default '0',
  `adprofiles` tinyint(1) NOT NULL default '0',
  `config_date_format` varchar(255) NOT NULL default '',
  `config_date_format_admin` varchar(255) NOT NULL default '',
  `config_price1_format` varchar(255) NOT NULL default '',
  `config_price2_format` varchar(255) NOT NULL default '',
  `config_price3_format` int(11) NOT NULL default '0',
  `config_separator` varchar(255) NOT NULL default '',
  `minimum_search_days` int(2) NOT NULL default '0',
  `maximum_search_days` int(2) NOT NULL default '0',
  `use_new_booking_form` tinyint(1) NOT NULL default '0',
  `reviewadd_active` tinyint(1) NOT NULL default '0',
  `booking_add_active` tinyint(1) NOT NULL default '0',
  `banned_ip_after_try_to_loggin` int(1) NOT NULL default '0',
  `add_image_text_` tinyint(1) NOT NULL default '0',
  `add_image_text_width_position` int(3) NOT NULL default '0',
  `add_image_text_position` int(3) NOT NULL default '0',
  `add_image_text_font` tinyint(1) NOT NULL default '0',
  `add_image_text_string` varchar(255) NOT NULL default '',
  `add_image_text_color` varchar(255) NOT NULL default '',
  `add_image_text_color_to_thumb` tinyint(1) NOT NULL default '0',
  `aMaxLifeTime` int(4) NOT NULL default '0',
  `show_one_homepage_lastlisting` tinyint(1) NOT NULL default '0',
  `no_show_one_homepage_lastlisting` int(3) NOT NULL default '0',
  `show_lastlisting_onallpages` tinyint(1) NOT NULL default '0',
  `show_one_homepage_sponsored` tinyint(1) NOT NULL default '0',
  `no_show_one_homepage_sponsored` int(3) NOT NULL default '0',
  `show_sponsored_onallpages` tinyint(1) NOT NULL default '0',
  `add_image_text_height_position` int(3) NOT NULL default '0',
  `price_before` tinyint(1) NOT NULL default '0',
  `multiple_by_x_search_days` int(1) NOT NULL default '0',
  `force_to_use_start_search_day` tinyint(1) NOT NULL default '0',
  `how_many_days_before_expire_account_send_email` int(11) NOT NULL default '0',
  `send_email_to_admin_every_day` smallint(1) NOT NULL default '0',
  `show_only_yes_no_for_active` smallint(1) NOT NULL default '0',
  `googlekey` varchar(255) NOT NULL,
  `usepayment` smallint(1) NOT NULL,
  `samepayment` smallint(1) NOT NULL,
  `paymentadmin` int(11) NOT NULL,
  `use_lightbox` tinyint(1) NOT NULL,
  `use_paypal_demo` tinyint(1) NOT NULL,
  UNIQUE KEY `id` (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=latin1;

--
-- Dumping data for table `settings`
--

INSERT INTO `settings` (`id`, `nrpageuser`, `nrpageadmin`, `currency`, `nolisting`, `nopictures`, `rights_signupuser`, `titlesite`, `titlesite1`, `titlesite2`, `titlesite3`, `description`, `description1`, `description2`, `description3`, `keywords`, `keywords1`, `keywords2`, `keywords3`, `header`, `header1`, `header2`, `header3`, `footer`, `footer1`, `footer2`, `footer3`, `picture_width`, `picture_height`, `thumbnail_width`, `thumbnail_height`, `picture`, `thumbnail`, `logo`, `bigimage`, `language`, `charsetlang`, `language1`, `charsetlang1`, `language2`, `charsetlang2`, `language3`, `charsetlang3`, `languageadmin`, `wysiwyg`, `adprofiles`, `config_date_format`, `config_date_format_admin`, `config_price1_format`, `config_price2_format`, `config_price3_format`, `config_separator`, `minimum_search_days`, `maximum_search_days`, `use_new_booking_form`, `reviewadd_active`, `booking_add_active`, `banned_ip_after_try_to_loggin`, `add_image_text_`, `add_image_text_width_position`, `add_image_text_position`, `add_image_text_font`, `add_image_text_string`, `add_image_text_color`, `add_image_text_color_to_thumb`, `aMaxLifeTime`, `show_one_homepage_lastlisting`, `no_show_one_homepage_lastlisting`, `show_lastlisting_onallpages`, `show_one_homepage_sponsored`, `no_show_one_homepage_sponsored`, `show_sponsored_onallpages`, `add_image_text_height_position`, `price_before`, `multiple_by_x_search_days`, `force_to_use_start_search_day`, `how_many_days_before_expire_account_send_email`, `send_email_to_admin_every_day`, `show_only_yes_no_for_active`, `googlekey`, `usepayment`, `samepayment`, `paymentadmin`, `use_lightbox`, `use_paypal_demo`) VALUES(1, 6, 30, '', 3, 6, 2, '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '<center><a href="http://www.phpvacationrental.com">Vacation Rental Software</a></center>', '', '', '', 400, 400, 150, 150, '56c31bf29585968b41a5b4144c0b4189.jpg', 'ec911c307d48af9974358a8924768845.jpg', '01cf22f5e53acf529671c01476e07880.jpg', '605c4e8948373f2ff7bb2eb88529ed69.jpg', 'english.php', 'utf-8', '-1', '', '-1', '', '-1', '', 'english.php', 1, 1, 'M d, Y', 'M d, Y', ',', '.', 1, ' ::', 3, 30, 1, 1, 1, 10, 1, 10, 1, 5, 'www.phpvacantionrental.com', '0|0|0', 0, 300, 1, 8, 1, 1, 4, 1, 10, 1, 1, 1, 28, 0, 0, 'ABQIAAAAh9CYXq3TnRq3WF6pNciQCxRoiBcXwei4AigB8Pl1_J0nQxZ61BQyztleZgWb9P414pxPEOOTE0ntgg', 1, 1, 1, 1, 1);



--
-- Table structure for table `settingsupdate`
--

CREATE TABLE IF NOT EXISTS `settingsupdate` (
  `id` int(11) NOT NULL auto_increment,
  `lastupdate` varchar(14) default NULL,
  `lastupdateaccounts` varchar(14) default NULL,
  `lastupdateemailsent` varchar(14) default NULL,
  `lastupdateemailsentaccounts` varchar(14) default NULL,
  `emailsenttoday` smallint(1) NOT NULL default '0',
  `emailsenttodayaccounts` smallint(1) NOT NULL default '0',
  UNIQUE KEY `id` (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=latin1;

--
-- Dumping data for table `settingsupdate`
--

INSERT INTO `settingsupdate` (`id`, `lastupdate`, `lastupdateaccounts`, `lastupdateemailsent`, `lastupdateemailsentaccounts`, `emailsenttoday`, `emailsenttodayaccounts`) VALUES(1, NULL, NOW(), NULL, NOW(), 0, 1);



--
-- Table structure for table `sponsored`
--

CREATE TABLE IF NOT EXISTS `sponsored` (
  `id` int(11) NOT NULL auto_increment,
  `listingid` int(11) NOT NULL default '0',
  `date_start` date NOT NULL default '0000-00-00',
  `date_ends` date NOT NULL default '0000-00-00',
  UNIQUE KEY `id` (`id`),
  KEY `listingid` (`listingid`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

--
-- Dumping data for table `sponsored`
--




--
-- Table structure for table `statistics`
--

CREATE TABLE IF NOT EXISTS `statistics` (
  `id` int(11) NOT NULL auto_increment,
  `listingid` int(11) NOT NULL default '0',
  `listingviews` int(11) NOT NULL default '0',
  `sendbookingviews` int(11) NOT NULL default '0',
  `sendbookingsend` int(11) NOT NULL default '0',
  `availabilityviews` int(11) NOT NULL default '0',
  `reviewclicks` int(11) NOT NULL default '0',
  `contactownerviews` int(11) NOT NULL default '0',
  `contactownersend` int(11) NOT NULL default '0',
  `emailstofriendviews` int(11) NOT NULL default '0',
  `emailstofriendsend` int(11) NOT NULL default '0',
  `listingprints` int(11) NOT NULL default '0',
  `addstowishlist` int(11) NOT NULL default '0',
  `date_add` date NOT NULL default '0000-00-00',
  UNIQUE KEY `id` (`id`),
  KEY `listingid` (`listingid`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

--
-- Dumping data for table `statistics`
--




--
-- Table structure for table `statssettings`
--

CREATE TABLE IF NOT EXISTS `statssettings` (
  `id` int(11) NOT NULL auto_increment,
  `ignoredomains` text NOT NULL,
  `ignoresubdomenins` tinyint(1) NOT NULL default '0',
  `rowsperpage` int(2) NOT NULL default '30',
  `ctime` varchar(14) default NULL,
  PRIMARY KEY  (`id`),
  UNIQUE KEY `id` (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=latin1;

--
-- Dumping data for table `statssettings`
--

INSERT INTO `statssettings` (`id`, `ignoredomains`, `ignoresubdomenins`, `rowsperpage`, `ctime`) VALUES(1, '', 0, 30, NOW());



--
-- Table structure for table `statssettingsupdate`
--

CREATE TABLE IF NOT EXISTS `statssettingsupdate` (
  `id` int(11) unsigned NOT NULL auto_increment,
  `data` longtext,
  `datareferrers` longtext NOT NULL,
  `datasearches` longtext NOT NULL,
  `sistem` longtext NOT NULL,
  `lastupdate` varchar(14) NOT NULL default '',
  PRIMARY KEY  (`id`),
  UNIQUE KEY `id` (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=latin1;

--
-- Dumping data for table `statssettingsupdate`
--

INSERT INTO `statssettingsupdate` (`id`, `data`, `datareferrers`, `datasearches`, `sistem`, `lastupdate`) VALUES(1, '','','','', NOW());



--
-- Table structure for table `statsvisits`
--

CREATE TABLE IF NOT EXISTS `statsvisits` (
  `id` int(11) unsigned NOT NULL auto_increment,
  `ctime` varchar(16) default NULL,
  `ip` varchar(15) NOT NULL default '',
  `fromreferer` varchar(255) NOT NULL default '',
  `fromdomain` varchar(255) NOT NULL default '',
  `page` varchar(255) NOT NULL default '',
  `page_title` varchar(255) NOT NULL default '',
  `OSName` varchar(20) NOT NULL default '',
  `BrowserName` varchar(25) NOT NULL default '',
  `ScreenSize` varchar(15) NOT NULL default '',
  `Colours` varchar(15) NOT NULL default '',
  `searchterms` varchar(255) NOT NULL default '',
  PRIMARY KEY  (`id`),
  KEY `dt` (`ctime`)
) ENGINE=MyISAM  DEFAULT CHARSET=latin1;



--
-- Table structure for table `template`
--

CREATE TABLE IF NOT EXISTS `template` (
  `id` int(11) NOT NULL auto_increment,
  `email` varchar(255) NOT NULL default '',
  `from` varchar(255) NOT NULL default '',
  `signup_subject` varchar(255) NOT NULL default '',
  `signup_subject1` varchar(255) NOT NULL default '',
  `signup_subject2` varchar(255) NOT NULL default '',
  `signup_subject3` varchar(255) NOT NULL default '',
  `signup_body` text NOT NULL,
  `signup_body1` text NOT NULL,
  `signup_body2` text NOT NULL,
  `signup_body3` text NOT NULL,
  `contact_subject` varchar(255) NOT NULL default '',
  `contact_subject1` varchar(255) NOT NULL default '',
  `contact_subject2` varchar(255) NOT NULL default '',
  `contact_subject3` varchar(255) NOT NULL default '',
  `contact_body` text NOT NULL,
  `contact_body1` text NOT NULL,
  `contact_body2` text NOT NULL,
  `contact_body3` text NOT NULL,
  `signupmembers_subject` varchar(255) NOT NULL default '',
  `signupmembers_subject1` varchar(255) NOT NULL default '',
  `signupmembers_subject2` varchar(255) NOT NULL default '',
  `signupmembers_subject3` varchar(255) NOT NULL default '',
  `signupmembers_body` text NOT NULL,
  `signupmembers_body1` text NOT NULL,
  `signupmembers_body2` text NOT NULL,
  `signupmembers_body3` text NOT NULL,
  `payment_subject` varchar(255) NOT NULL default '',
  `payment_subject1` varchar(255) NOT NULL default '',
  `payment_subject2` varchar(255) NOT NULL default '',
  `payment_subject3` varchar(255) NOT NULL default '',
  `payment_body` text NOT NULL,
  `payment_body1` text NOT NULL,
  `payment_body2` text NOT NULL,
  `payment_body3` text NOT NULL,
  `friend_subject` varchar(255) NOT NULL default '',
  `friend_subject1` varchar(255) NOT NULL default '',
  `friend_subject2` varchar(255) NOT NULL default '',
  `friend_subject3` varchar(255) NOT NULL default '',
  `friend_body` text NOT NULL,
  `friend_body1` text NOT NULL,
  `friend_body2` text NOT NULL,
  `friend_body3` text NOT NULL,
  `booking_subject` varchar(255) NOT NULL default '',
  `booking_subject1` varchar(255) NOT NULL default '',
  `booking_subject2` varchar(255) NOT NULL default '',
  `booking_subject3` varchar(255) NOT NULL default '',
  `booking_body` text NOT NULL,
  `booking_body1` text NOT NULL,
  `booking_body2` text NOT NULL,
  `booking_body3` text NOT NULL,
  `bookingclient_subject` varchar(255) NOT NULL default '',
  `bookingclient_subject1` varchar(255) NOT NULL default '',
  `bookingclient_subject2` varchar(255) NOT NULL default '',
  `bookingclient_subject3` varchar(255) NOT NULL default '',
  `bookingclient_body` text NOT NULL,
  `bookingclient_body1` text NOT NULL,
  `bookingclient_body2` text NOT NULL,
  `bookingclient_body3` text NOT NULL,
  `delaymessagesaccounts_subject` varchar(255) default NULL,
  `delaymessagesaccounts_subject1` varchar(255) NOT NULL default '',
  `delaymessagesaccounts_subject2` varchar(255) NOT NULL default '',
  `delaymessagesaccounts_subject3` varchar(255) NOT NULL default '',
  `delaymessagesaccounts_body` text NOT NULL,
  `delaymessagesaccounts_body1` text NOT NULL,
  `delaymessagesaccounts_body2` text NOT NULL,
  `delaymessagesaccounts_body3` text NOT NULL,
  `delaymessages_subject` varchar(255) default NULL,
  `delaymessages_subject1` varchar(255) NOT NULL default '',
  `delaymessages_subject2` varchar(255) NOT NULL default '',
  `delaymessages_subject3` varchar(255) NOT NULL default '',
  `delaymessages_body` text NOT NULL,
  `delaymessages_body1` text NOT NULL,
  `delaymessages_body2` text NOT NULL,
  `delaymessages_body3` text NOT NULL,
  `textok_body` text NOT NULL,
  `textok_body1` text NOT NULL,
  `textok_body2` text NOT NULL,
  `textok_body3` text NOT NULL,
  `textnotok_body` text NOT NULL,
  `textnotok_body1` text NOT NULL,
  `textnotok_body2` text NOT NULL,
  `textnotok_body3` text NOT NULL,
  UNIQUE KEY `id` (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=latin1;

--
-- Dumping data for table `template`
--

INSERT INTO `template` (`id`, `email`, `from`, `signup_subject`, `signup_subject1`, `signup_subject2`, `signup_subject3`, `signup_body`, `signup_body1`, `signup_body2`, `signup_body3`, `contact_subject`, `contact_subject1`, `contact_subject2`, `contact_subject3`, `contact_body`, `contact_body1`, `contact_body2`, `contact_body3`, `signupmembers_subject`, `signupmembers_subject1`, `signupmembers_subject2`, `signupmembers_subject3`, `signupmembers_body`, `signupmembers_body1`, `signupmembers_body2`, `signupmembers_body3`, `payment_subject`, `payment_subject1`, `payment_subject2`, `payment_subject3`, `payment_body`, `payment_body1`, `payment_body2`, `payment_body3`, `friend_subject`, `friend_subject1`, `friend_subject2`, `friend_subject3`, `friend_body`, `friend_body1`, `friend_body2`, `friend_body3`, `booking_subject`, `booking_subject1`, `booking_subject2`, `booking_subject3`, `booking_body`, `booking_body1`, `booking_body2`, `booking_body3`, `bookingclient_subject`, `bookingclient_subject1`, `bookingclient_subject2`, `bookingclient_subject3`, `bookingclient_body`, `bookingclient_body1`, `bookingclient_body2`, `bookingclient_body3`, `delaymessagesaccounts_subject`, `delaymessagesaccounts_subject1`, `delaymessagesaccounts_subject2`, `delaymessagesaccounts_subject3`, `delaymessagesaccounts_body`, `delaymessagesaccounts_body1`, `delaymessagesaccounts_body2`, `delaymessagesaccounts_body3`, `delaymessages_subject`, `delaymessages_subject1`, `delaymessages_subject2`, `delaymessages_subject3`, `delaymessages_body`, `delaymessages_body1`, `delaymessages_body2`, `delaymessages_body3`, `textok_body`, `textok_body1`, `textok_body2`, `textok_body3`, `textnotok_body`, `textnotok_body1`, `textnotok_body2`, `textnotok_body3`) VALUES(1, 'sales@phpvacationrental.com', '', 'Welcome {username} to sell a property', '', '', '', 'Hello {username}<br /><br />This is a confirmation email message sent to your address from <a href="{sitedomain}">{sitedomain}</a> as part of the registration process.<br /><br />Please click the following link to confirm this email address and to complete the registration process:<br /> <br /><a href="{link}">{link}</a><br /> <br />Please, keep a note of your details:<br /><br /> Username: {username}<br /> Password: {password}<br /> Email: {email}<br /> <br />Thank you for choosing <a href="{sitedomain}">{sitedomain}</a>. Good Luck!', '', '', '', 'New message for property {model}-#{id}', '', '', '', 'Hello {name}<br /> You just receive a new message for the property:<br /> {model}-#{id} <br /> from:<br /> ______<br /> Name: {guest_name}<br /> Phone: {guest_phone}<br /> Email: {guest_email}<br /> Message: {guest_message}<br /> _____<br /> Thanks.', '', '', '', 'Sign Up Members', '', '', '', 'Please click here to confirm this email address:<br /> <a href="{link}">{link}</a><br /> <br /> Details:<br /> Name: {name}<br /> Email: {email}<br /> <br /> Thanks.', '', '', '', 'Payment confirmation', '', '', '', 'Dear Customer,<br /> Thank you for your order.<br /> We have recevied your payment and your account is active.<br /> <br /> If you have any problems, please contact us: sales@the-best-real-estate.com Thanks.', '', '', '', 'Send To a Friend', '', '', '', 'Hello {friendname}<br /> You just receive a new message from {guest_name} ( {guest_email} ) :<br /> ______<br /> Message: {guest_message}<br /><br /> Visit this site to view:<br /> {url}', '', '', '', 'message from site [ phpvacationrental.com ]', '', '', '', 'Hello {name}<br /> You just receive a new message for the listing:<br /> {country}-{province}-{city}-{title}-#{id}<br /> from:<br /> ______<br /> Arrival: {guest_arrival}<br /> Departure: {guest_departure}<br /> Days: {guest_days}<br /> Discount: {guest_discount}<br /> Subtotal: {guest_subtotal}<br /> Total: {guest_total}<br /> Name: {guest_name}<br /> Address: {guest_address}<br /> Country: {guest_country}<br /> City: {guest_city}<br /> Phone: {guest_phone}<br /> Email: {guest_email}<br /> Age: {guest_age}<br /> Gender: {guest_gender}<br /> Number Of Adults: {guest_number_of_adults}<br /> Airport Transfer: {guest_airport_transfer}<br /> Method Of Payment: {guest_method_of_payment}<br /> General Comments: {guest_general_comments}<br /> Number Of Children: {guest_number_of_children}<br /> Flight Information: {guest_flight_information}<br /> Wireless Internet: {guest_wireless_internet}<br /> Active: {guest_active}<br /> Date Add: {guest_date_add}<br /> Ip: {guest_ip}<br /> Click here to view listing:<br /> <a href="{url}">{url}</a><br /> Click here to view booking:<br /> <a href="{urlbooking}">{urlbooking}</a>', '', '', '', 'your booking details', '', '', '', 'Hello {guest_name}<br /> Your booking details for the listing:<br /> {country}-{province}-{city}-{title}-#{id}<br /> ______<br /> Arrival: {guest_arrival}<br /> Departure: {guest_departure}<br /> Days: {guest_days}<br /> Discount: {guest_discount}<br /> Subtotal: {guest_subtotal}<br /> Total: {guest_total}<br /> Name: {guest_name}<br /> Address: {guest_address}<br /> Country: {guest_country}<br /> City: {guest_city}<br /> Phone: {guest_phone}<br /> Email: {guest_email}<br /> Age: {guest_age}<br /> Gender: {guest_gender}<br /> Number Of Adults: {guest_number_of_adults}<br /> Airport Transfer: {guest_airport_transfer}<br /> Method Of Payment: {guest_method_of_payment}<br /> General Comments: {guest_general_comments}<br /> Number Of Children: {guest_number_of_children}<br /> Flight Information: {guest_flight_information}<br /> Wireless Internet: {guest_wireless_internet}<br /> Date Add: {guest_date_add}<br /> Click here to view listing:<br /> <a href="{url}">{url}</a>', '', '', '', 'your account expire', '', '', '', 'Hello {name} <br />Your account will expire in {daysremain} days. <br /> &gt; <a href="{urlrenew}">Click here to and renew your account</a><br />or copy {urlrenew} in your browser<br /> Or ignore this email and you account will be suspended.<br /> Thanks.', '', '', '', '', '', '', '', '', '', '', '', '<strong><strong>Thank you for your order!<br /> <br /> We received your order and will be processing it as soon as we have checked your payment transaction.<br /> <br /> You can contact us at email@email.com.<br /> Thank you for your confidence and we hope to see you back soon.</strong></strong>', '', '', '', '<strong><strong>We did not receive a confirmation for your transaction.<br /> You cancelled the transaction&nbsp; or an error occurred,<br /> or the transaction was not authorised by the payment service. <br /> You can contact us at email@email.com.<br /> We hope to welcome you back as a customer soon.</strong></strong>', '', '', '');



--
-- Table structure for table `type`
--

CREATE TABLE IF NOT EXISTS `type` (
  `id` int(11) NOT NULL auto_increment,
  `name` varchar(255) NOT NULL default '',
  `name1` varchar(255) NOT NULL default '',
  `name2` varchar(255) NOT NULL default '',
  `name3` varchar(255) NOT NULL default '',
  UNIQUE KEY `id` (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=latin1;

--
-- Dumping data for table `type`
--

INSERT INTO `type` (`id`, `name`, `name1`, `name2`, `name3`) VALUES(1, 'apartment', '', '', '');
INSERT INTO `type` (`id`, `name`, `name1`, `name2`, `name3`) VALUES(2, 'studio', '', '', '');
INSERT INTO `type` (`id`, `name`, `name1`, `name2`, `name3`) VALUES(3, 'villa', '', '', '');
